'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var VBox = _Boxs2.default.VBox,
    Box = _Boxs2.default.Box;

var NoData = function (_React$Component) {
    _inherits(NoData, _React$Component);

    function NoData(props) {
        _classCallCheck(this, NoData);

        var _this = _possibleConstructorReturn(this, (NoData.__proto__ || Object.getPrototypeOf(NoData)).call(this, props));

        _this.state = {
            nodataIcon: "../image/nodata.png",
            className: "",
            nullmsg: "",
            styleName: ""
        };
        return _this;
    }

    _createClass(NoData, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                { className: 'dd-nodata' },
                _react2.default.createElement(
                    VBox,
                    { hAlign: 'center' },
                    _react2.default.createElement(
                        Box,
                        { className: this.props.className ? this.props.className : 't-MT20' },
                        _react2.default.createElement('img', { src: this.props.nodataIcon ? this.props.nodataIcon : this.state.nodataIcon, style: { width: 60 + 'px' } })
                    ),
                    _react2.default.createElement(
                        Box,
                        { className: 't-FC6' },
                        this.props.nullmsg ? this.props.nullmsg : '暂无数据'
                    )
                )
            );
        }
    }]);

    return NoData;
}(_react2.default.Component);

exports.default = NoData;