'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Dialog = require('saltui/lib/Dialog');

var _Dialog2 = _interopRequireDefault(_Dialog);

var _Popup = require('saltui/lib/Popup');

var _Popup2 = _interopRequireDefault(_Popup);

var _Slot = require('saltui/lib/Slot');

var _Slot2 = _interopRequireDefault(_Slot);

var _TextareaField = require('saltui/lib/TextareaField');

var _TextareaField2 = _interopRequireDefault(_TextareaField);

var _Toast = require('saltui/lib/Toast');

var _Toast2 = _interopRequireDefault(_Toast);

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

var _select = require('../selectMember/select');

var _select2 = _interopRequireDefault(_select);

require('./PageHome.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box;

var iconIndex = 1;
// let FlowCommon ;

var PageHome = function (_React$Component) {
    _inherits(PageHome, _React$Component);

    function PageHome(props) {
        _classCallCheck(this, PageHome);

        //关闭加载页的遮罩效果
        var _this = _possibleConstructorReturn(this, (PageHome.__proto__ || Object.getPrototypeOf(PageHome)).call(this, props));

        $(".loading-containter").hide();

        //let processInstanceId = this.props.params.processInstanceId;
        //let handleUserId = this.props.params.assignee;

        var operate = props.operate; //操作类型(1:通过)
        var taskIds = props.taskIds; //任务ids
        var processInstanceIds = props.processInstanceIds; //多个流程实例id
        var code = props.code; //流程code
        var hasCommentField = props.hasCommentField; //是否有批示意见
        //let commentIsNull = this.props.params.commentIsNull;//批示意见是否为空,0是，1否
        var commentIsNotNull = props.commentIsNotNull;

        var commentType = props.commentType; //批示意见类型,2,3签名图片，0.1姓名，4，无
        var signPicId = props.signPicId; //签名图片
        var urgent = props.urgent; //是否紧急
        var isStart = props.isStart; //是否是流程起始节点

        var defaultComment = '';
        var category = props.category; //分类
        var module = props.module && props.module != "undefined" ? props.module : "approve"; //模块
        if (!module) {
            module = "approve";
        }
        var project = props.project; //项目，是首页，公文，还是
        if (project) {} else {
            project = "";
        }
        /*if(hasCommentField&&hasCommentField=='1'){
            defaultComment='同意';
        }*/
        defaultComment = '同意';
        var urgentList = [{
            value: "1",
            checked: urgent == "1" ? true : false,
            content: '紧急',
            disable: false
        }];
        //是否保存为常用语
        var savePhraseList = [{
            value: "1",
            checked: false,
            content: '是否保存为常用语',
            disable: false
        }];
        _this.state = {
            project: project,
            module: module, //模块
            category: category, //分类
            taskIds: taskIds,
            operate: operate,
            processInstanceIds: processInstanceIds, //数据id
            spyj: defaultComment, //审批意见
            hasCommentField: hasCommentField, //是否有审批意见
            commentIsNotNull: commentIsNotNull, //批示意见是否为空,0是，1否
            commentType: commentType,
            signPicId: signPicId == "-1" ? "" : signPicId,
            newSignPicId: "", //新签名图片id
            urgent: urgent, //紧急状态，0：不紧急
            code: code, //流程code
            urgentSelectList: [], //已选择的紧急选项
            urgentList: urgentList, //紧急选项
            urgentHidden: true, //紧急是否显示
            nextActivityList: [], //下一个后继活动节点列表
            nextRadomList: [], //下一个随机活动节点列表
            nextSelectType: '', //选择的活动类型，radom和next
            isStart: isStart == "1" ? true : false, //是否是起点
            directlySubmit: '', //是否直接提交
            phraseList: [], //常用语列表
            choosePhrase: [], //常用语列表选择
            savePhraseList: savePhraseList, //是否保存为常用语的选项列表
            savePhrase: [], //是否保存为常用语，1是，0否
            level: ''
        };

        // FlowCommon = require('pages/flow_common/'+module).default?require('pages/flow_common/'+module).default:require('pages/flow_common/'+module);
        //引入扩展js


        var t = _this;
        var userId = document.getElementById("userHiddenId").value;

        var key = "";
        if (project == 'mobileportal') {
            //如果项目是首页
            key = 'mobileportal_helpNew_' + userId;
        } else {
            key = module + '_helpNew_' + userId;
        }
        dd.util.domainStorage.getItem({ //点击帮助页面
            name: key, // 存储信息的key值
            onSuccess: function onSuccess(info) {
                var helpNew = info.value;
                if (typeof helpNew != 'undefined' && helpNew != '') {
                    iconIndex = 1;
                }
                t.initButton(iconIndex);
            },
            onFail: function onFail(err) {}
        });
        return _this;
    }
    //初始化按钮


    _createClass(PageHome, [{
        key: 'initButton',
        value: function initButton(iconIndex) {
            var t = this;
            //设置帮助
            dd.biz.navigation.setIcon({
                showIcon: false, //是否显示icon
                iconIndex: iconIndex, //显示的iconIndex,如上图
                onSuccess: function onSuccess(result) {
                    var key = "";
                    var project = t.state.project;
                    if (project == 'mobileportal') {
                        //如果项目是首页
                        key = 'hospitalmanage';
                    } else {
                        key = t.state.module;
                    }
                    location.hash = key + '/help_index';
                },
                onFail: function onFail(err) {}
            });
            dd.biz.navigation.setTitle({
                title: '批量办理', //控制标题文本，空字符串表示显示默认文本
                onSuccess: function onSuccess(result) {},
                onFail: function onFail(err) {}
            });
            dd.biz.navigation.setRight({
                show: false, //控制按钮显示， true 显示， false 隐藏， 默认true
                onSuccess: function onSuccess(result) {},
                onFail: function onFail(err) {}
            });
        }
    }, {
        key: 'componentDidMount',
        value: function componentDidMount() {
            var t = this;
            var operate = t.state.operate;
            if (operate == 1) {
                //通过
                this.getNextActivity();
            }
        }
    }, {
        key: 'componentWillUnmount',
        value: function componentWillUnmount() {
            //Popup.hide();
            //alert(1);
            //手机返回的时候关闭一些弹出框和调整一些样式
            $("#App").css({
                "overflow": "auto",
                "height": ""
            });
            _Dialog2.default.hide();
            _Popup2.default.hide();
        }

        //获取下一个办理的节点

    }, {
        key: 'getNextActivity',
        value: function getNextActivity() {
            var t = this;
            var taskIds = t.state.taskIds;
            var processInstanceIds = t.state.processInstanceIds;
            var taskId = '';
            var processInstanceId = '';
            if (taskIds) {
                var taskArray = taskIds.split(",");
                var processInstanceIdArray = processInstanceIds.split(",");
                taskId = taskArray[0];
                processInstanceId = processInstanceIdArray[0];
            }

            //是否有批示意见
            var hasCommentField = t.state.hasCommentField;
            if (!hasCommentField) {
                hasCommentField = '0';
            }

            //紧急
            var urgent = t.state.urgent;
            if (!urgent) {
                urgent = '0';
            }

            //是否有锁
            //let lock = t.state.lock;

            //流程编码
            var code = t.state.code;

            //是否是起点
            var isStart = t.state.isStart;
            var nextActivityList = [];
            var nextRadomList = [];
            var nextSelectType = '';
            var succeedRange = ""; //后继活动id
            var isEnd = false;
            var hasRadomList = false; //判断下次办理是否有随机活动节点
            _db2.default.FlowModuleAPI.getNextActivity({
                taskId: taskId,
                code: code
            }).then(function (content) {
                var nextList = content.activityList; //下一个后继节点列表
                var radomList = content.radomList; //下一个随机活动节点
                var maxOutgoing = content.maxOutgoing;
                succeedRange = content.succeedRange == null ? "" : content.succeedRange;
                if (!maxOutgoing) {
                    maxOutgoing = "0";
                }
                var isRadio = maxOutgoing == 1; //单选还是多选
                if (typeof nextList == 'undefined' || nextList == null || nextList == '') {
                    nextList = [];
                }
                if (typeof radomList == 'undefined' || radomList == null || radomList == '') {
                    radomList = [];
                }

                var param = {
                    taskIds: t.state.taskIds,
                    hasCommentField: hasCommentField,
                    processInstanceIds: t.state.processInstanceIds,
                    module: t.state.module,
                    //lock:lock,
                    dealActionName: "通过"
                };

                if (nextList.length == 0 && radomList.length == 0) {
                    if (hasCommentField == "1") {

                        t.setState({
                            urgentHidden: true,
                            urgentList: [],
                            //lock:lock,
                            isStart: isStart,
                            directlySubmit: '0'
                        });
                    } else {
                        t.setState({
                            urgentHidden: true,
                            urgentList: [],
                            directlySubmit: '1'
                        });
                        t.sendFlowClick(param);
                    }
                } else {
                    //结束节点
                    if (nextList.length == 1 && nextList[0]['end']) {
                        isEnd = true;
                        if (hasCommentField == "0" && radomList.length == 0) {
                            t.setState({
                                urgentHidden: true,
                                urgentList: [],
                                //lock:lock,
                                isStart: isStart,
                                directlySubmit: '1',
                                isEnd: isEnd
                            }, function () {
                                param.selectedActivity = '[{"id":"end_node","name":"结束","level":""}]';
                                //t.sendFlowClick(param);
                            });
                            //return false;
                        }
                    }

                    nextList.sort(function compare(a, b) {
                        var val1 = parseInt(a['sortNo'] ? a['sortNo'] : '99999999999999');
                        var val2 = parseInt(b['sortNo'] ? b['sortNo'] : '99999999999999');
                        if (val1 <= val2) {
                            return -1;
                        } else if (val1 > val2) {
                            return 1;
                        } else {
                            return 0;
                        }
                    });
                    //let tasktype = t.state.tasktype;
                    var urgentHidden = false;
                    // var path = '#/approval/approve-choosenode/';
                    var checkActi = "0";
                    //随机节点

                    //后继活动
                    var urgentSelectList = [];
                    var urgentList = [];
                    if (nextList.length == 1 && nextList[0]['end']) {
                        //结束
                        //urgentHidden = true;

                        var endItem = nextList[0];
                        var checkedItem = {};
                        checkedItem.value = endItem.id;
                        checkedItem.name = endItem.name;
                        checkedItem.arrow = true;
                        checkedItem.show = false;
                        checkedItem.type = endItem.type;
                        checkedItem.end = endItem.end;
                        checkedItem.disable = false;
                        checkedItem.maxOutgoing = maxOutgoing;

                        // if(hasRadomList){//当有随机节点时，不选中
                        //     checkedItem.checked = false;
                        // }else{
                        checkedItem.checked = true;
                        checkedItem.must = true;
                        //nextSelectType="next";
                        //}
                        checkedItem.personValue = [];
                        checkedItem.commonUsedData = [];
                        nextActivityList.push(checkedItem);

                        //alert(JSON.stringify(nextActivityList));
                        //紧急
                        var _urgent = t.state.urgent;
                        urgentList = t.state.urgentList;
                        //if(hasRadomList == false){//当没有随机节点时隐藏紧急
                        urgentHidden = true;
                        //}
                        //if(urgentHidden == false){ //当紧急状态显示时把判断是否选中值
                        if (_urgent == '1') {
                            urgentList[0].checked = true;
                            urgentSelectList = urgentList;
                        }
                        //}
                    } else {
                        var show = true;
                        var isRadio = maxOutgoing == 1;
                        var no = 0; //随机节点数量
                        nextList.map(function (item) {
                            var participants = item.participants;
                            if (item.nodeType == 'radom') {
                                //随机
                                var nextSucceedRange = "";
                                var nowLevel = t.state.level;

                                if (item.id == t.state.activityId) {
                                    //当下个活动节点是当前节点在同一个随机活动时
                                    nextSucceedRange = succeedRange;
                                } else {
                                    nextSucceedRange = "";
                                }
                                var returnParam = t.dealwithRadomList(item, radomList, item.must, maxOutgoing, checkActi, nextSucceedRange, nowLevel, no);
                                ++no;
                                var randomItem = returnParam.randomItem;
                                checkActi = returnParam.checkActi;
                                if (randomItem != null && randomItem.subRandomList != null && randomItem.subRandomList.length > 0) {
                                    nextRadomList.push(randomItem);
                                }
                                return false;
                            }

                            if (item.end == true) {
                                isEnd = true;
                            }
                            var checkedItem = {};
                            var selectUserReadOnly = false;
                            var personValue = []; //选中的人
                            var participantMode = item.participantMode; //判断选人是单选还是多选
                            var commonUsedData = []; //自定义选人的范围,常用
                            var commonUsedId = ''; //常用选择范围
                            var popCode = "";
                            var chooseType = "";
                            var commonType = ""; //常用tab菜单
                            var commonHasUser = false; //常用是否有用户
                            var commonHasOrg = false; //常用是否有组织
                            var commonHasGroup = false; //常用是否有群组
                            if (item.type == 3) {
                                //指定人选择
                                selectUserReadOnly = true;
                                popCode = 'org,group'; //选人组件code
                                chooseType = "userNotOrg,userNotGroup";
                                var participantList = item.participantList;
                                if (participantList != null && participantList != "" && participantList.length > 0) {
                                    for (var i = 0; i < participantList.length; i++) {
                                        if (participantList[i].type != "user") {
                                            var children = participantList[i];
                                            for (var j = 0; j < children.length; j++) {
                                                var personValueItem = { scopeType: "user", scopeValue: children[j].id, scopeName: children[j].name, imageId: "" };
                                                personValue.push(personValueItem);
                                            }
                                        } else {
                                            var personValueItem = { scopeType: "user", scopeValue: participantList[i].id, scopeName: participantList[i].name, imageId: "" };
                                            personValue.push(personValueItem);
                                        }
                                    }
                                }
                            } else if (item.type == 1) {
                                //选择所有人
                                selectUserReadOnly = false;
                                chooseType = "userNotOrg";
                                if (item.nodeType == 'readtask') {
                                    //如果是传阅节点
                                    chooseType = "userNotOrg";
                                }
                                var commonUsedId = ''; //常用选择范围
                                var participantList = item.participantList;
                                if (participantList != null && participantList != "" && participantList.length > 0) {
                                    for (var i = 0; i < participantList.length; i++) {
                                        if (participantList[i].type != "user") {
                                            var children = participantList[i];
                                            for (var j = 0; j < children.length; j++) {
                                                var personValueItem = { scopeType: participantList[i].type, scopeValue: children[j].id, scopeName: children[j].userName, imageId: "" };
                                                if (commonUsedId.indexOf(children[j].id) == -1) {
                                                    commonUsedId += children[j].id + ',';
                                                    commonUsedData.push(personValueItem);
                                                }
                                            }
                                        } else {
                                            var personValueItem = { scopeType: participantList[i].type, scopeValue: participantList[i].id, scopeName: participantList[i].name, imageId: "" };
                                            if (commonUsedId.indexOf(participantList[i].id) == -1) {
                                                commonUsedId += participantList[i].id + ',';
                                                commonUsedData.push(personValueItem);
                                            }
                                        }
                                    }
                                    if (commonUsedData.length > 0) {
                                        popCode = "common,org";
                                    } else {
                                        popCode = "org";
                                    }
                                } else {
                                    popCode = "org";
                                }
                            }
                            if (item.type == 2) {
                                //指定候选人
                                selectUserReadOnly = false;
                                popCode = 'common'; //选人组件code
                                chooseType = "userNotOrg,userNotGroup";
                                var commonUsedId = ''; //常用选择范围
                                var participantList = item.participantList;
                                if (participantList != null && participantList != "" && participantList.length > 0) {
                                    for (var i = 0; i < participantList.length; i++) {
                                        if (participantList[i].type != "user") {
                                            /* var children = participantList[i];
                                             for(var j=0; j<children.length; j++ ){
                                                 var personValueItem = {scopeType:"user",scopeValue:children[j].id,scopeName:children[j].userName,imageId:""};
                                                 if(commonUsedId.indexOf(children[j].id) == -1){
                                                     commonUsedId += children[j].id+',';
                                                     commonUsedData.push(personValueItem);
                                                 }
                                             }*/
                                        } else if (participantList[i].secretLevel == 0 || participantList[i].secretLevel || !participantList[i].orgId) {
                                            var personValueItem = { scopeType: "user", scopeValue: participantList[i].id, scopeName: participantList[i].name, imageId: "", orgNamePath: participantList[i].orgPath };
                                            if (commonUsedId.indexOf(participantList[i].id) == -1) {
                                                commonUsedId += participantList[i].id + ',';
                                                commonUsedData.push(personValueItem);
                                            }
                                        }
                                    }
                                } else {
                                    item.type = 1;
                                    chooseType = "userNotOrg";
                                    popCode = "org";
                                }
                            } else if (item.type == 4) {
                                //办理完毕
                                commonUsedData = [];
                                personValue = [];
                                show = false;
                                item.end = true;
                                popCode = '';
                                chooseType = '';
                            }
                            if (commonUsedId) {
                                commonUsedId = commonUsedId.substring(0, commonUsedId.length - 1);
                            }
                            checkedItem.commonType = commonType; //常用tab菜单传参
                            checkedItem.code = popCode;
                            checkedItem.chooseType = chooseType;
                            checkedItem.commonUsedData = commonUsedData;
                            checkedItem.participantMode = participantMode; //选人单选还是多选，1多选，0单选
                            checkedItem.personValue = personValue;
                            checkedItem.selectUserReadOnly = selectUserReadOnly;
                            checkedItem.value = item.id;
                            checkedItem.name = item.name;
                            checkedItem.arrow = true;
                            checkedItem.show = true;
                            checkedItem.type = item.type;
                            checkedItem.end = item.end;

                            checkedItem.level = item.level;
                            checkedItem.must = item.must;
                            checkedItem.maxOutgoing = maxOutgoing;
                            checkedItem.participants = participants;
                            if (item.must == true && (maxOutgoing == 1 && checkActi == 0 || maxOutgoing == 0)) {
                                //必须
                                checkedItem.disable = false;
                                checkedItem.checked = true;
                                //nextSelectType = 'next';
                                checkActi = "1";
                            } else if (item.defaultFlow == true && (maxOutgoing == 1 && checkActi == 0 || maxOutgoing == 0)) {
                                //默认节点
                                checkedItem.disable = false;
                                checkedItem.checked = true;
                                //nextSelectType = 'next';
                                checkActi = "1";
                            } else {
                                checkedItem.disable = false;
                                checkedItem.checked = false;
                            }
                            if (item.type == 4 && radomList.length == 0) {
                                //当类型是完成结束时且随机活动没有
                                checkedItem.checked = true;
                            }
                            if (checkedItem.checked == true && checkedItem.end == true) {
                                //当结束节点且选中时
                                // t.setState({
                                //   urgentHidden:true,
                                //   urgentList:[]
                                // });
                                urgentHidden = true;
                            }
                            checkedItem.isRadio = isRadio; //判断是否是单选还是多选
                            nextActivityList.push(checkedItem);
                        });
                        if (checkActi == "0" && isRadio == true) {
                            //如果没有默认选中的下一个节点且是单选，则第一个默认选中
                            if (nextActivityList.length > 0 && nextRadomList.length == 0) {
                                nextActivityList[0].checked = true;
                                //nextSelectType = 'next';
                            } else if (nextRadomList.length > 0 && nextActivityList.length == 0) {
                                nextRadomList[0].subRandomList[0].checked = true;
                                //nextSelectType = 'radom';
                            }
                        }
                        //紧急
                        var _urgent2 = t.state.urgent;
                        urgentList = t.state.urgentList;
                        if (urgentHidden == false) {
                            //当紧急状态显示时把判断是否选中值
                            if (_urgent2 == '1') {
                                urgentList[0].checked = true;
                                urgentSelectList = urgentList;
                            }
                        }
                    }
                    t.setState({
                        nextSelectType: nextSelectType,
                        nextRadomList: nextRadomList,
                        nextActivityList: nextActivityList,
                        urgentSelectList: urgentSelectList,
                        urgentList: urgentList,
                        urgentHidden: urgentHidden,
                        //lock:lock,
                        isStart: isStart,
                        directlySubmit: '0',
                        isEnd: isEnd
                    }, function () {
                        for (var i = 0; i < nextActivityList.length; i++) {
                            if (nextActivityList[i].personValue.length > 0 || nextActivityList[i].commonUsedData.length > 0) {
                                t.refs[nextActivityList[i].value + "_" + i].initSelectData();
                            }
                        }
                        for (var i = 0; i < nextRadomList.length; i++) {
                            var nextRadomListItem = nextRadomList[i].subRandomList;
                            for (var j = 0; j < nextRadomListItem.length; j++) {
                                if (nextRadomListItem[j].personValue.length > 0 || nextRadomListItem[j].commonUsedData.length > 0) {
                                    t.refs[nextRadomListItem[j].value + "_" + j].initSelectData();
                                }
                            }
                        }
                    });
                }
            }).catch(function (error) {
                if (typeof error.errorMsg == 'undefined') {
                    _Toast2.default.show({
                        type: 'error',
                        content: '获取下个办理节点出错'
                    });
                } else {
                    _Toast2.default.show({
                        type: 'error',
                        content: error.errorMsg
                    });
                }
            });
        }

        //处理后面的待办节点随机节点

    }, {
        key: 'dealwithRadomList',
        value: function dealwithRadomList(randomMain, radomList, isMust, maxOutgoing, checkActi, succeedRange, nowLevel, no) {
            if (nowLevel == null) {
                nowLevel = "0";
            }
            var id = randomMain.id;
            var randomItem = {};
            randomItem.id = id;
            randomItem.name = randomMain.name;
            var subRandomList = [];
            //随机节点
            if (typeof radomList != 'undefined' && radomList != null) {
                var radomIsRadio = true;
                if (radomList.length > 0) {
                    //
                    radomList.map(function (item, m) {
                        if (item.id == id) {
                            //当子随机活动id等于主随机id
                            var checkedItem = {};
                            var selectUserReadOnly = false;
                            var personValue = []; //选中的人
                            radomIsRadio = item.isCross == 2 ? false : true; //判断选人是单选还是多选,isCross 0,1单选，2包含随机多选
                            var participantMode = item.participantMode;
                            var commonUsedData = []; //自定义选人的范围,常用
                            var commonUsedId = ''; //常用选择的用户id
                            var popCode = "";
                            var chooseType = "";
                            var commonType = ""; //常用tab菜单
                            var participantList = []; //参与人
                            var commonHasUser = false; //常用是否有用户
                            var commonHasOrg = false; //常用是否有组织
                            var commonHasGroup = false; //常用是否有群组
                            if (item.type == 3) {
                                //指定人选择
                                selectUserReadOnly = true;
                                popCode = 'org,group'; //选人组件code
                                chooseType = "userNotOrg,userNotGroup";
                                if (succeedRange == "" || item.level != parseInt(nowLevel) + 1) {
                                    //当后继为空时取下个活动的
                                    participantList = item.participantList;
                                } else {
                                    participantList = getUsersByOrgGroupIds(succeedRange);
                                }
                                if (participantList != null && participantList != "" && participantList.length > 0) {
                                    for (var i = 0; i < participantList.length; i++) {
                                        if (participantList[i].type != "user") {
                                            var children = participantList[i].children;
                                            for (var j = 0; j < children.length; j++) {
                                                var personValueItem = { scopeType: "user", scopeValue: children[j].id, scopeName: children[j].name, imageId: "" };
                                                personValue.push(personValueItem);
                                            }
                                        } else {
                                            var personValueItem = { scopeType: "user", scopeValue: participantList[i].id, scopeName: participantList[i].name, imageId: "" };
                                            personValue.push(personValueItem);
                                        }
                                    }
                                }
                            } else if (item.type == 1) {
                                //选择所有人
                                selectUserReadOnly = false;
                                chooseType = "userNotOrg";
                                if (item.nodeType == 'readtask') {
                                    //如果是传阅节点
                                    chooseType = "userNotOrg";
                                }
                                var commonUsedId = ''; //常用选择范围
                                var participantList = item.participantList;
                                if (participantList != null && participantList != "" && participantList.length > 0) {
                                    for (var i = 0; i < participantList.length; i++) {
                                        if (participantList[i].type != "user") {
                                            var children = participantList[i];
                                            for (var j = 0; j < children.length; j++) {
                                                var personValueItem = { scopeType: participantList[i].type, scopeValue: children[j].id, scopeName: children[j].userName, imageId: "" };
                                                if (commonUsedId.indexOf(children[j].id) == -1) {
                                                    commonUsedId += children[j].id + ',';
                                                    commonUsedData.push(personValueItem);
                                                }
                                            }
                                        } else {
                                            var personValueItem = { scopeType: participantList[i].type, scopeValue: participantList[i].id, scopeName: participantList[i].name, imageId: "" };
                                            if (commonUsedId.indexOf(participantList[i].id) == -1) {
                                                commonUsedId += participantList[i].id + ',';
                                                commonUsedData.push(personValueItem);
                                            }
                                        }
                                    }
                                    if (commonUsedData.length > 0) {
                                        popCode = "common,org";
                                    } else {
                                        popCode = "org";
                                    }
                                } else {
                                    popCode = "org";
                                }
                            } else {
                                //指定候选人
                                selectUserReadOnly = false;
                                var popCode = 'common'; //选人组件code
                                if (succeedRange == "" || item.level != parseInt(nowLevel) + 1) {
                                    //当后继为空时取下个活动的
                                    participantList = item.participantList;
                                } else {
                                    participantList = getUsersByOrgGroupIds(succeedRange);
                                }
                                if (participantList != null && participantList != "" && participantList.length > 0) {
                                    for (var i = 0; i < participantList.length; i++) {
                                        if (participantList[i].type == "user") {
                                            if (commonUsedId.indexOf(participantList[i]) == -1) {
                                                commonUsedId += participantList[i].id + ',';
                                                commonHasUser = true;
                                            }
                                        }if (participantList[i].type == "org") {
                                            if (commonUsedId.indexOf(participantList[i]) == -1) {
                                                commonUsedId += participantList[i].id + ',';
                                                commonHasOrg = true;
                                            }
                                        } else if (participantList[i].type == "group") {
                                            if (commonUsedId.indexOf(participantList[i].id) == -1) {
                                                commonUsedId += participantList[i].id + ',';
                                                commonHasGroup = true;
                                            }
                                        }
                                    }
                                    if (commonUsedId != "") {
                                        if (commonHasUser) {
                                            commonType += ",user";
                                        }
                                        if (commonHasOrg) {
                                            commonType += ",org";
                                        }
                                        if (commonHasGroup) {
                                            commonType += ",group";
                                        }
                                        commonType = commonType.substring(1, commonType.length);
                                    }
                                }
                            }
                            if (commonUsedId) {
                                commonUsedId = commonUsedId.substring(0, commonUsedId.length - 1);
                            }
                            checkedItem.commonType = commonType; //常用tab菜单传参
                            checkedItem.code = popCode;
                            checkedItem.chooseType = chooseType;
                            checkedItem.commonUsedData = commonUsedData;
                            checkedItem.participantMode = participantMode; //选人单选还是多选，1多选，0单选
                            checkedItem.personValue = personValue;
                            checkedItem.selectUserReadOnly = selectUserReadOnly;
                            checkedItem.value = item.id;
                            checkedItem.name = item.name;
                            checkedItem.arrow = true;
                            checkedItem.show = true;
                            checkedItem.type = item.type;
                            checkedItem.end = item.end;
                            checkedItem.level = item.level;
                            checkedItem.maxOutgoing = maxOutgoing;
                            if (no == 0 && m == 0) {
                                //随机节点第一个默认选中
                                if (maxOutgoing != 1 || maxOutgoing == 1 && checkActi == '0') {

                                    checkedItem.disable = false;
                                    checkedItem.checked = true;
                                    //nextSelectType = 'radom';
                                    checkActi = "1";
                                } else {
                                    checkedItem.disable = false;
                                    checkedItem.checked = false;
                                }
                            } else {
                                checkedItem.disable = false;
                                checkedItem.checked = false;
                            }

                            if (item.must == true) {
                                checkedItem.disable = false;
                                checkedItem.checked = true;
                                checkedItem.must = true;
                                checkActi = "1";
                            }
                            checkedItem.isRadio = radomIsRadio; //判断是否是单选还是多选

                            checkedItem.mustHas = isMust; //随机节点是不是必须
                            subRandomList.push(checkedItem);
                        }
                    });
                }
            }

            randomItem.subRandomList = subRandomList;
            var returnParam = {};
            returnParam.checkActi = checkActi;
            returnParam.randomItem = randomItem;
            return returnParam;
        }

        //提交点击

    }, {
        key: 'handleSubmitClick',
        value: function handleSubmitClick() {
            var t = this;
            var comment = t.state.spyj;
            var hasCommentField = t.state.hasCommentField;
            var commentIsNotNull = t.state.commentIsNotNull;

            if (comment != '' && comment != null) {
                if (comment.trim() == '' && hasCommentField == '1') {
                    _Toast2.default.show({
                        type: 'error',
                        content: '意见不能为空！'
                    });
                    return false;
                }
                if (comment.length > 200) {
                    _Toast2.default.show({
                        type: 'error',
                        content: '意见不能多于200字！'
                    });
                    return false;
                }
            } else {
                if (hasCommentField == '1' && commentIsNotNull == '1') {
                    _Toast2.default.show({
                        type: 'error',
                        content: '意见不能为空！'
                    });
                    return false;
                }
            }

            //判断是否保存常用语
            var savePhrase = this.state.savePhrase;
            if (savePhrase.length > 0 && comment.trim() != '') {
                _db2.default.FlowModuleAPI.savePersonalPhrase({
                    content: comment
                }).then(function (content) {}).catch(function (error) {
                    console.error(error);
                });
            }

            var operate = this.state.operate;
            if (operate == 1) {
                //提交审批
                var nextRadomListSelect = this.state.nextRadomList;
                var nextActivityListSelect = this.state.nextActivityList;
                var nextSelectType = this.state.nextSelectType; //选择随机还是普通
                var selectedActivity = '';
                if (nextRadomListSelect.length > 0 || nextActivityListSelect.length > 0) {
                    //下一个节点不为空时

                    selectedActivity = '';
                    var nextActivityList = [];
                    if (nextSelectType == 'radom') {
                        nextActivityList = nextRadomListSelect;
                    } else {
                        nextActivityList = nextActivityListSelect;
                    }
                    for (var i = 0; i < nextActivityList.length; i++) {
                        var auditorUserIds = '';
                        var auditorUserNames = '';
                        var checked = nextActivityList[i].checked;
                        if (checked) {
                            var personValue = nextActivityList[i].personValue;
                            var isEnd = nextActivityList[i].end;

                            if (personValue.length <= 0 && !isEnd) {
                                _Toast2.default.show({
                                    type: 'error',
                                    content: '请选择审批人'
                                });
                                return false;
                            }
                            var participantMode = nextActivityList[i].participantMode;
                            if (participantMode == 0) {
                                if (personValue.length > 1) {
                                    _Toast2.default.show({
                                        type: 'error',
                                        content: nextActivityList[i].name + '节点的参与人只能是单人，请重新设置流程！'
                                    });
                                    return false;
                                }
                            }
                            if (!isEnd) {
                                var level;

                                (function () {
                                    var selectUserIds = '';
                                    personValue.map(function (item, index) {
                                        if (selectUserIds.indexOf(item.scopeValue) == -1) {
                                            selectUserIds += item.scopeValue + ",";
                                            auditorUserIds += item.scopeValue + ',';
                                            auditorUserNames += item.scopeName + ',';
                                        }
                                    });
                                    if (auditorUserIds != '') {
                                        auditorUserIds = auditorUserIds.substring(0, auditorUserIds.length - 1);
                                        auditorUserNames = auditorUserNames.substring(0, auditorUserNames.length - 1);
                                    }
                                    level = nextActivityList[i].level;

                                    if (level == null) {
                                        level = "";
                                    }
                                    selectedActivity += '{"id":"' + nextActivityList[i].value + '","name":"' + nextActivityList[i].name + '","participants":"' + auditorUserIds + '","participantNames":"' + auditorUserNames + '","level":"' + level + '"},';
                                })();
                            } else {
                                var level = nextActivityList[i].level;
                                if (level == null) {
                                    level = "";
                                }
                                selectedActivity += '{"id":"' + nextActivityList[i].value + '","name":"' + nextActivityList[i].name + '","level":"' + level + '"},';
                            }
                        }
                    }
                    if (selectedActivity != '') {
                        selectedActivity = selectedActivity.substring(0, selectedActivity.length - 1);
                        selectedActivity = '[' + selectedActivity + ']';
                    } else {
                        _Toast2.default.show({
                            type: 'error',
                            content: '请选择节点'
                        });
                        return false;
                    }
                }
                var urgentListSelect = t.state.urgentSelectList;
                var urgent = '';
                for (var _i = 0; _i < urgentListSelect.length; _i++) {
                    urgent += urgentListSelect[_i].value + ",";
                }
                if (urgent != '') {
                    urgent = urgent.substring(0, urgent.length - 1);
                }
                if (urgent == '' && t.state.urgentHidden == false) {
                    urgent = '0';
                }
                var param = {
                    taskIds: t.state.taskIds,
                    processInstanceIds: t.state.processInstanceIds,
                    selectedActivity: selectedActivity,
                    module: t.state.module,
                    comment: t.state.spyj,
                    hasCommentField: t.state.hasCommentField,
                    newSignPicId: t.state.newSignPicId,
                    urgency: urgent,
                    lock: t.state.lock
                };
                var dealActionName = "";
                if (this.state.isStart == true) {
                    dealActionName = "提交";
                } else {
                    dealActionName = "通过";
                }
                param.dealActionName = dealActionName;
                this.sendFlowClick(param);
            } else if (operate == 2) {
                //驳回
                this.backClick();
            } else if (operate == 3) {
                //转交
                this.transferClick();
            }
        }

        //取消

    }, {
        key: 'handleCancelClick',
        value: function handleCancelClick() {
            backPage();
        }

        //批量提交发送

    }, {
        key: 'sendFlowClick',
        value: function sendFlowClick(param) {
            var t = this;
            var editType = '';
            // if(this.props.params.dataId == ''){
            //     editType = "add";
            // }else{
            //     editType = 'edit';
            // }
            param.editType = "edit";

            //var tasktype = this.state.tasktype;
            var content = '是否要通过审批？';
            if (param.dealActionName == '完成') {
                //随机流程
                content = '是否要完成审批？';
            }
            var db = _db2.default;
            _Dialog2.default.confirm({
                locale: 'zh_CN',
                title: '提示',
                content: content,
                onConfirm: function onConfirm() {
                    db.FlowModuleAPI.completeTaskBatch(param).then(function (content) {
                        _Toast2.default.show({
                            type: 'success',
                            content: content.successCount + '条成功,' + content.skipCount + '条失败'
                        });

                        /*let returnData = content.successList;
                        if(typeof(returnData) != 'undefined' && returnData != null){
                        	var dataIds = '';
                        	var pIds = '';
                        	var status = '';// 1 正常通过 2 正常结束
                        	returnData.map(function(item){
                        		dataIds += item.dataId+',';
                        		pIds += item.processInstanceId + ',';
                        		status = item.status;
                        	});
                        	if(dataIds){
                        		dataIds = dataIds.substring(0,dataIds.length-1);
                        	}
                        	let type = 6;
                        	if(status == 1){
                        	}else if(status == 2){
                        		type = 1;
                        			//结束后推送消息
                        			db.FlowModuleAPI.sendMessage({
                        			type:'1',
                        			module:t.state.module,
                        			processInstanceId:pIds,
                        		}).then((content) => {});
                        	}
                        	//处理特有参数
                        	if(typeof FlowCommon.operateCallBack === "function"){
                        		FlowCommon.operateCallBack({type:type,dataId:dataIds,isBatch:1},t.state);
                        	}
                        	
                        } */

                        setTimeout(function () {
                            backPage();
                        }, 1500);
                    }).catch(function (error) {
                        if (typeof error.errorMsg == 'undefined') {
                            _Toast2.default.show({
                                type: 'error',
                                content: '提交出错'
                            });
                        } else {
                            var message = error.errorMsg;
                            if (message.indexOf('exclusive gateway') != -1) {
                                message = "请检查判断条件字段是否正确填写！";
                            }
                            _Toast2.default.show({
                                type: 'error',
                                content: message
                            });
                        }
                    });
                },
                onCancel: function onCancel() {
                    if (t.state.directlySubmit == '1') {
                        backPage();
                    }
                }
            });
        }

        //选择紧急状态

    }, {
        key: 'selectUrgent',
        value: function selectUrgent(data) {
            this.setState({
                urgentSelectList: data
            });
        }

        //选择提交审批用户

    }, {
        key: 'getPersion',
        value: function getPersion(i, newValue) {
            var nextActivityList = this.state.nextActivityList;
            // for(var i=0; i<newValue.length; i++){
            //     form.personValue.push(newValue[i]);
            // }
            nextActivityList[i].personValue = newValue;
            this.setState({
                nextActivityList: nextActivityList
            });
        }
    }, {
        key: 'changeSendShortMessage',
        value: function changeSendShortMessage(data) {
            var newremindStyle = "";
            for (var i = 0; i < data.length; i++) {
                if (i == data.length - 1) newremindStyle += data[i].value;else newremindStyle += data[i].value + ',';
            }
            this.setState({
                sendShortMessage: newremindStyle
            });
        }
    }, {
        key: 'changeCirculateShortMessage',
        value: function changeCirculateShortMessage(data) {
            var newremindStyle = "";
            for (var i = 0; i < data.length; i++) {
                if (i == data.length - 1) newremindStyle += data[i].value;else newremindStyle += data[i].value + ',';
            }
            this.setState({
                circulateShortMessage: newremindStyle
            });
        }

        //选择用户时

    }, {
        key: 'getChoosePerson',
        value: function getChoosePerson(i, personValue, allPerson) {
            var nextActivityList = this.state.nextActivityList;
            nextActivityList[i].personValue = personValue;
            nextActivityList[i].allPerson = allPerson;
            this.setState({
                nextActivityList: nextActivityList
            });
        }
    }, {
        key: 'getRadomChoosePerson',
        value: function getRadomChoosePerson(j, i, personValue, allPerson) {
            var nextRadomList = this.state.nextRadomList;
            var subRandomList = nextRadomList[j].subRandomList;
            subRandomList[i].personValue = personValue;
            nextRadomList[j].subRandomList = subRandomList;
            //nextActivityList[i].allPerson = allPerson;
            this.setState({
                nextRadomList: nextRadomList
            });
        }

        //选择节点

    }, {
        key: 'handleChecked',
        value: function handleChecked(n, i, item, type, e) {
            var checked = item.checked;
            var disable = item.disable;
            var isRadio = item.isRadio;
            var maxOutgoing = item.maxOutgoing; //1代表是排他单选，0代表多选
            var value = item.value;
            var mustHas = item.mustHas ? item.mustHas : false; //某个活动节点至少选一个
            if (!disable) {
                //只有可选时才改变状态
                var nextActivityList = [];
                if (type == 'next') {
                    nextActivityList = this.state.nextActivityList;
                } else {
                    nextActivityList = this.state.nextRadomList[n].subRandomList;
                }
                if (isRadio) {
                    //单选
                    if (!checked) {
                        //选中的时候
                        for (var j = 0; j < nextActivityList.length; j++) {
                            if (nextActivityList[j].disable == true) {
                                return false;
                            }
                            if (nextActivityList[j].isRadio) {
                                if (type == 'radom') {
                                    if (maxOutgoing == 1 || value == nextActivityList[j].value) {
                                        nextActivityList[j].checked = false;
                                    }
                                } else {
                                    nextActivityList[j].checked = false;
                                }
                            }
                        }
                        nextActivityList[i].checked = !checked;
                        if (checked == false && item.end == false) {
                            //当选中时
                            this.refs[item.value + "_" + i].clickAdd();
                        }
                    } else {
                        //取消选中的时候
                        if (item.must == true || mustHas == true) {
                            return false;
                        } else {
                            nextActivityList[i].checked = !checked;
                        }
                    }
                } else {
                    if (!checked) {
                        //选中的时候
                        // if(item.must == true){
                        //     return false;
                        // }else{
                        nextActivityList[i].checked = !checked;
                        if (checked == false && item.end == false) {
                            //当选中时
                            this.refs[item.value + "_" + i].clickAdd();
                        }
                        // }
                    } else {
                        if (mustHas == true) {
                            //当必须有的时候
                            var no = 0;
                            for (var m = 0; m < nextActivityList.length; m++) {
                                if (m != i && nextActivityList[m].value == value && nextActivityList[m].checked == true) {
                                    no++;
                                }
                            }
                            if (no > 0) {
                                //有其他的选中值时就会取消
                                nextActivityList[i].checked = !checked;
                            }
                        } else {
                            if (item.must == true) {
                                return false;
                            }
                            nextActivityList[i].checked = !checked;
                        }
                    }
                }

                if (maxOutgoing == '1') {
                    //只有是随机和后继是单选的时候才可以取消另外一个选择
                    if (type == 'next') {
                        //选的是后继节点
                        var nextRadomListMain = this.state.nextRadomList;
                        nextRadomListMain.map(function (item1) {
                            var nextRadomListItem = item1.subRandomList;
                            nextRadomListItem.map(function (item2) {
                                item2.checked = false;
                            });
                        });

                        this.setState({
                            nextActivityList: nextActivityList,
                            nextRadomList: nextRadomListMain
                            //nextSelectType:type
                        });
                    } else {
                        //选的是随机节点
                        var nextActivity = this.state.nextActivityList;
                        var nextRadomListMain = this.state.nextRadomList;
                        if (!checked) {
                            nextActivity.map(function (item) {
                                item.checked = false;
                            });

                            nextRadomListMain.map(function (item1, f) {
                                if (f != n) {
                                    var nextRadomListItem = item1.subRandomList;
                                    nextRadomListItem.map(function (item2) {
                                        item2.checked = false;
                                    });
                                } else {
                                    item1.subRandomList = nextActivityList;
                                }
                            });
                        }
                        this.setState({
                            nextActivityList: nextActivity,
                            nextRadomList: nextRadomListMain
                            //nextSelectType:type
                        });
                    }
                } else {
                    if (type == 'next') {
                        //选的是后继节点
                        this.setState({
                            nextActivityList: nextActivityList
                            //nextSelectType:type
                        });
                    } else {
                        //选的是随机节点
                        var nextRadomListMain = this.state.nextRadomList;
                        nextRadomListMain[n].subRandomList = nextActivityList;
                        this.setState({
                            nextRadomList: nextRadomListMain
                            //nextSelectType:type
                        });
                    }
                }
            }
        }

        //切换节点内容显示

    }, {
        key: 'handleShow',
        value: function handleShow(j, i, arrow, show, type, e) {
            var t = this;
            if (type == 'next') {
                //下一个后继活动
                var nextActivityList = this.state.nextActivityList;
                nextActivityList[i].arrow = !arrow;
                nextActivityList[i].show = !show;
                t.setState({
                    nextActivityList: nextActivityList
                });
            } else if (type == 'radom') {
                //下一个随机活动
                var nextRadomList = this.state.nextRadomList;
                var subRandomList = nextRadomList[j].subRandomList;
                subRandomList[i].arrow = !arrow;
                subRandomList[i].show = !show;
                nextRadomList[j].subRandomList = subRandomList;
                t.setState({
                    nextRadomList: nextRadomList
                });
            }
        }

        //修改审批意见

    }, {
        key: 'changeSpyj',
        value: function changeSpyj(newValue) {
            this.setState({
                spyj: newValue
            });
        }

        //选择常用语

    }, {
        key: 'selectCommonwords',
        value: function selectCommonwords() {
            var t = this;
            var phraseListNow = t.state.phraseList;
            if (phraseListNow.length > 0) {
                t.refs.slotCommonwords.show();
            } else {
                //获取常用语列表
                _db2.default.FlowModuleAPI.getPersonalPhrase({}).then(function (content) {
                    if (content.length > 0) {
                        var phraseList1 = [];
                        content.map(function (item) {
                            phraseList1.push({ text: item.content, value: item.content });
                        });
                        var phraseList2 = [];
                        phraseList2.push(phraseList1);
                        t.setState({
                            phraseList: phraseList2
                        }, function () {
                            t.refs.slotCommonwords.show();
                        });
                    } else {
                        _Toast2.default.show({
                            content: '暂无常用语'
                        });
                    }
                }).catch(function (error) {
                    _Toast2.default.show({
                        type: 'error',
                        content: '网络异常'
                    });
                });
            }
        }

        //选择是否保存常用语

    }, {
        key: 'selectSavePhrase',
        value: function selectSavePhrase(data) {
            this.setState({
                savePhrase: data
            });
        }

        //切换修改常用语

    }, {
        key: 'handleChangeCommonwords',
        value: function handleChangeCommonwords(value) {
            // 改变了选中项
            this.setState({
                choosePhrase: value
            });
        }

        //确认选择语

    }, {
        key: 'handleConfirmCommonwords',
        value: function handleConfirmCommonwords(commonwords) {
            var spyj = this.state.spyj;
            this.setState({
                spyj: spyj + commonwords[0].text
            });
        }

        //上传更新签名图片

    }, {
        key: 'updateSign',
        value: function updateSign(fileId) {
            this.setState({
                newSignPicId: fileId
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var t = this;
            return _react2.default.createElement(
                'div',
                { className: 'document-details t-PB68' },
                _react2.default.createElement(
                    Box,
                    { className: (this.state.hasCommentField == '1' || true) && (this.state.operate == 1 || this.state.operate == 2 || this.state.operate == 3 || this.state.operate == 5 || this.state.operate == 10 || this.state.operate == 11) ? 't-BCf dd-bottom-border' : 't-DN' },
                    _react2.default.createElement(
                        'div',
                        { style: { background: '#f2f3f5', height: '35px', padding: '10px 5px' } },
                        _react2.default.createElement(
                            'span',
                            { className: 't-FCddblue' },
                            this.state.operate == 1 ? "审批意见" : this.state.operate == 2 ? '驳回意见' : this.state.operate == 3 ? '转交意见' : this.state.operate == 5 ? '跳转意见' : this.state.operate == 10 ? '完成意见' : '签阅意见'
                        ),
                        _react2.default.createElement(
                            'span',
                            { className: 't-FCddblue t-FR', onClick: this.selectCommonwords.bind(this) },
                            '\u5E38\u7528\u8BED'
                        )
                    ),
                    _react2.default.createElement(_TextareaField2.default, {
                        readOnly: false,
                        minRows: 10, maxRows: 13,
                        placeholder: this.state.operate == 1 ? "请输入审批意见" : this.state.operate == 2 ? '请输入驳回意见' : this.state.operate == 3 ? '请输入转交意见' : this.state.operate == 5 ? '请输入跳转意见' : this.state.operate == 10 ? '请输入完成意见' : '请输入签阅意见',
                        value: this.state.spyj,
                        onChange: this.changeSpyj.bind(this) }),
                    _react2.default.createElement(_Slot2.default, {
                        ref: 'slotCommonwords',
                        data: this.state.phraseList,
                        value: this.state.choosePhrase,
                        title: '\u9009\u62E9\u5E38\u7528\u8BED',
                        onConfirm: this.handleConfirmCommonwords.bind(this),
                        onChange: this.handleChangeCommonwords.bind(this)
                    })
                ),
                _react2.default.createElement(
                    Box,
                    { className: this.state.operate == 1 ? 't-BCf dd-bottom-border' : 't-DN' },
                    _react2.default.createElement(
                        'div',
                        { className: this.state.nextActivityList.length == 0 && this.state.nextRadomList.length == 0 ? 't-DN' : '', style: { background: '#f2f3f5', height: '35px', padding: '10px 5px' } },
                        _react2.default.createElement(
                            'span',
                            { className: 't-FCddblue' },
                            _react2.default.createElement('i', { className: 'iconfont icon-back t-rotate-180 t-FS14 t-FR' }),
                            '\u5BA1\u6279\u73AF\u8282'
                        )
                    ),
                    _react2.default.createElement(
                        HBox,
                        { vAlign: 'center', className: this.state.nextRadomList.length == 0 ? 't-DN' : 't-BB1 t-PT8 t-PB8' },
                        _react2.default.createElement(
                            Box,
                            { className: 't-LH24 t-FS14 t-PL18 t-FCa', flex: 1 },
                            '\u968F\u673A\u6D3B\u52A8'
                        )
                    ),
                    this.state.nextRadomList.map(function (item1, j) {
                        return _react2.default.createElement(
                            'div',
                            null,
                            _react2.default.createElement('div', { className: 't-BCf7 t-H10' }),
                            _react2.default.createElement(
                                HBox,
                                { vAlign: 'center', className: 't-BB1 t-PT8 t-PB8' },
                                _react2.default.createElement(
                                    Box,
                                    { className: 't-LH24 t-FS13 t-PL22 t-FCb', flex: 1 },
                                    item1.name
                                )
                            ),
                            item1.subRandomList.map(function (item, i) {
                                return _react2.default.createElement(
                                    'div',
                                    { className: i > 0 ? 't-BT1' : '' },
                                    _react2.default.createElement(
                                        HBox,
                                        { vAlign: 'center', className: 't-BB1' },
                                        _react2.default.createElement(
                                            HBox,
                                            { flex: 1, className: 't-PL16 t-PT10 t-PB10', onClick: this.handleChecked.bind(this, j, i, item, "radom") },
                                            _react2.default.createElement(
                                                Box,
                                                { id: i, className: item.checked == false ? "t-checkbox-field-icon-list un-checked" : item.disable ? "t-checkbox-field-icon checked disable t-checkbox-field-icon-list" : "t-checkbox-field-icon-list" },
                                                _react2.default.createElement('i', { className: 'iconfont icon-checked t-FCf t-FS14' })
                                            ),
                                            _react2.default.createElement(
                                                Box,
                                                { className: 't-LH24 t-FS16 t-PL18 t-omit', flex: 1 },
                                                item.name
                                            )
                                        ),
                                        _react2.default.createElement(
                                            Box,
                                            { className: item.end ? 't-DN' : 't-PL16 t-PR16', onClick: this.handleShow.bind(this, j, i, item.arrow, item.show, "radom") },
                                            _react2.default.createElement('i', { className: item.arrow ? "iconfont icon-arrow-up t-FCc" : "iconfont icon-arrow-down t-FCc" })
                                        )
                                    ),
                                    _react2.default.createElement(
                                        Box,
                                        { className: item.show ? "" : "t-DN" },
                                        _react2.default.createElement(_select2.default, {
                                            required: false,
                                            isShowInMyOrg: true,
                                            readOnly: item.selectUserReadOnly,
                                            label: '审批人',
                                            placeholder: '\u8BF7\u9009\u62E9',
                                            code: item.code,
                                            chooseType: item.chooseType,
                                            checkType: item.participantMode == '0' ? 'radio' : 'checkbox',
                                            ref: item.value + "_" + i,
                                            isDelete: true,
                                            defaultValue: item.personValue,
                                            commonUsedData: item.commonUsedData,
                                            onChange: this.getRadomChoosePerson.bind(this, j, i)
                                        })
                                    )
                                );
                            }.bind(this))
                        );
                    }.bind(this)),
                    _react2.default.createElement(
                        HBox,
                        { vAlign: 'center', className: this.state.nextActivityList.length == 0 ? 't-DN' : 't-BB1 t-PT8 t-PB8' },
                        _react2.default.createElement(
                            Box,
                            { className: 't-LH24 t-FS14 t-PL16 t-FCa', flex: 1 },
                            '\u540E\u7EE7\u6D3B\u52A8'
                        )
                    ),
                    this.state.nextActivityList.map(function (item, i) {
                        return _react2.default.createElement(
                            'div',
                            { className: i > 0 ? 't-BT1' : '' },
                            _react2.default.createElement(
                                HBox,
                                { vAlign: 'center', className: 't-BB1' },
                                _react2.default.createElement(
                                    HBox,
                                    { flex: 1, className: 't-PL16 t-PT10 t-PB10', onClick: this.handleChecked.bind(this, i, i, item, "next") },
                                    _react2.default.createElement(
                                        Box,
                                        { id: i, className: item.checked == false ? "t-checkbox-field-icon-list un-checked" : item.disable ? "t-checkbox-field-icon checked disable t-checkbox-field-icon-list" : "t-checkbox-field-icon-list" },
                                        _react2.default.createElement('i', { className: 'iconfont icon-checked t-FCf t-FS14' })
                                    ),
                                    _react2.default.createElement(
                                        Box,
                                        { className: 't-LH24 t-FS16 t-PL18 t-omit', flex: 1 },
                                        item.name
                                    )
                                ),
                                _react2.default.createElement(
                                    Box,
                                    { className: item.end ? 't-DN' : 't-PL16 t-PR16', onClick: this.handleShow.bind(this, i, i, item.arrow, item.show, "next") },
                                    _react2.default.createElement('i', { className: item.arrow ? "iconfont icon-arrow-up t-FCc" : "iconfont icon-arrow-down t-FCc" })
                                )
                            ),
                            _react2.default.createElement(
                                Box,
                                { className: item.end == true || item.show == false ? "t-DN" : "" },
                                _react2.default.createElement(_select2.default, {
                                    readOnly: item.selectUserReadOnly,
                                    label: '审批人',
                                    placeholder: '\u8BF7\u9009\u62E9',
                                    code: item.code,
                                    chooseType: item.chooseType,
                                    checkType: item.participantMode == '0' ? 'radio' : 'checkbox',
                                    ref: item.value + "_" + i,
                                    isDelete: true,
                                    defaultValue: item.personValue,
                                    commonUsedData: item.commonUsedData,
                                    onChange: this.getChoosePerson.bind(this, i),
                                    queryLimit: item.participants == '' ? '' : '5',
                                    limitData: item.participants == '' ? '' : item.participants
                                })
                            )
                        );
                    }.bind(this))
                ),
                _react2.default.createElement(
                    'div',
                    { className: this.state.directlySubmit == '0' ? "t-P0 t-bottom-fixed" : 't-DN' },
                    _react2.default.createElement(
                        _Button2.default.Group,
                        null,
                        _react2.default.createElement(
                            _Button2.default,
                            { type: 'secondary', display: 'banner', onClick: this.handleCancelClick.bind(this) },
                            '\u53D6\u6D88'
                        ),
                        _react2.default.createElement(
                            _Button2.default,
                            { type: 'primary', display: 'banner',
                                onClick: this.handleSubmitClick.bind(this) },
                            '\u786E\u8BA4'
                        )
                    )
                )
            );
        }
    }]);

    return PageHome;
}(_react2.default.Component);

exports.default = PageHome;