'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
// 这里放置全局的变量
// const isDev = process.env.NODE_ENV == "development";
var isDev = process.env.envType == "mock";
var context = document.getElementById('context').value;
var token = document.getElementById('token').value;
// const context = '';

var urlPrefix = isDev ? '/mock/' : context + '/api/m/approve/';
var urlPrefixUmc = isDev ? '/mock/' : context + '/api/m/umc/';
var approveUrlPrefix = isDev ? '/mock/' : context + '/api/m/approve/';
var urlPrefix_a = isDev ? '/mock/query/' : '/flexoffice/static/officeding/approve/mock/query/';
var urlPrefix_b = 'http://localhost:8081/flexoffice/';

exports.default = {
    urlPrefix: urlPrefix,
    urlPrefixUmc: urlPrefixUmc,
    isDev: isDev,
    // 这里放置全局的调用的URL
    URLS: {
        userInfo: urlPrefix + 'currenUserInfo' + '?token=' + getLoginUserInfo().token, // 获取个人信息
        transaction: {
            undo: isDev ? "/mock/query/queryProcessPage.json?type=0" : urlPrefix + 'queryProcessPage?type=0' + '&token=' + getLoginUserInfo().token,
            // undo: urlPrefix_a + 'getTransactionList_Undo.json',
            unread: urlPrefix + 'queryProcessPage?type=1' + '&token=' + getLoginUserInfo().token,
            done: urlPrefix + 'queryProcessPage?type=2' + '&token=' + getLoginUserInfo().token,
            read: urlPrefix + 'queryProcessPage?type=3' + '&token=' + getLoginUserInfo().token,
            myself: urlPrefix + 'queryProcessPage?type=4' + '&token=' + getLoginUserInfo().token,
            undo1: urlPrefixUmc + 'message/msgList?msgType=2&status=2' + '&token=' + getLoginUserInfo().token,
            unread1: urlPrefixUmc + 'message/msgList?msgType=3&status=0' + '&token=' + getLoginUserInfo().token,
            done1: urlPrefixUmc + 'message/msgList?msgType=2&status=3' + '&token=' + getLoginUserInfo().token,
            read1: urlPrefixUmc + 'message/msgList?msgType=3&status=1' + '&token=' + getLoginUserInfo().token,
            myself1: urlPrefix + 'queryProcessPage?type=4' + '&token=' + getLoginUserInfo().token,
            undo2: urlPrefix + 'queryProcessPage?type=0&module=' + '&token=' + getLoginUserInfo().token,
            unread2: urlPrefix + 'queryProcessPage?type=1&module=' + '&token=' + getLoginUserInfo().token,
            done2: urlPrefix + 'queryProcessPage?type=2&module=' + '&token=' + getLoginUserInfo().token,
            read2: urlPrefix + 'queryProcessPage?type=3&module=' + '&token=' + getLoginUserInfo().token,
            myself2: urlPrefix + 'queryProcessPage?type=4&module=' + '&token=' + getLoginUserInfo().token
        },
        queryProcessInfo: urlPrefix + 'queryProcessInfo' + '?token=' + getLoginUserInfo().token, //获取流程详情
        getFlowRecord: urlPrefix + 'getFlowRecord' + '?token=' + getLoginUserInfo().token, //获取流程详情
        operateProcess: urlPrefix + 'operateProcess' + '?token=' + getLoginUserInfo().token, //操作流程(审批/驳回/已阅/转交)
        getProcessClassifyTree: urlPrefix + 'getProcessClassifyTree' + '?token=' + getLoginUserInfo().token, //获取当前用户可发起流程的分类信息树接口
        getFavoriteProcessList: urlPrefix + 'getFavoriteProcessList' + '?token=' + getLoginUserInfo().token, //获取当前用户可发起流程的分类信息树接口
        getCommonUseProcess: urlPrefix + 'getCommonUseProcess' + '?token=' + getLoginUserInfo().token, //获取常用流程的接口
        operateCommonUseProcess: urlPrefix + 'operateCommonUseProcess' + '?token=' + getLoginUserInfo().token, //添加删除常用流程的接口
        batchFavoriteProcess: urlPrefix + 'batchFavoriteProcess' + '?token=' + getLoginUserInfo().token, //批量添加常用流程的接口
        getRemindBadgeCount: urlPrefix + 'getRemindBadgeCount' + '?token=' + getLoginUserInfo().token, //分类统计小红点
        queryProcessForm: urlPrefix + 'getMobileForm' + '?token=' + getLoginUserInfo().token, //获取流程表单


        startProcess: approveUrlPrefix + 'startProcess' + '?token=' + getLoginUserInfo().token, // 启动流程的接口
        claimTask: approveUrlPrefix + 'claimTask' + '?token=' + getLoginUserInfo().token, //校验流程
        saveForm: approveUrlPrefix + 'saveForm' + '?token=' + getLoginUserInfo().token, //保存到草稿箱
        sendFlow: approveUrlPrefix + "sendFlow" + '?token=' + getLoginUserInfo().token, //办理发送流程
        getCanBackActivity: approveUrlPrefix + "getCanBackActivity" + '?token=' + getLoginUserInfo().token, //获得驳回节点
        back: approveUrlPrefix + "back" + '?token=' + getLoginUserInfo().token, //驳回
        transferFlow: approveUrlPrefix + "transferFlow" + '?token=' + getLoginUserInfo().token, //转交
        createReadTask: approveUrlPrefix + "createReadTask" + '?token=' + getLoginUserInfo().token, //传阅
        forwardReadTask: approveUrlPrefix + "forwardReadTask" + '?token=' + getLoginUserInfo().token, //转发
        sendMail: approveUrlPrefix + "sendMail" + '?token=' + getLoginUserInfo().token, //邮件转发
        readCompleteTask: approveUrlPrefix + "readCompleteTask" + '?token=' + getLoginUserInfo().token, //已阅
        suspendProcess: approveUrlPrefix + "suspendProcess" + '?token=' + getLoginUserInfo().token, //取消流程
        recall: approveUrlPrefix + "recall", //撤销流程
        getNextActivity: approveUrlPrefix + "getNextActivity" + '?token=' + getLoginUserInfo().token, //获取提交的下一个节点
        queryFlowChart: approveUrlPrefix + "queryFlowChart" + '?token=' + getLoginUserInfo().token, //查找流程记录
        getFlowImage: approveUrlPrefix + "getFlowImage" + '?token=' + getLoginUserInfo().token + "&processInstanceId=", //查找流程图片
        addSign: approveUrlPrefix + "addSign" + '?token=' + getLoginUserInfo().token, //加签
        getCanJumpActivity: approveUrlPrefix + "getCanJumpActivity" + '?token=' + getLoginUserInfo().token, //跳转流程
        jump: approveUrlPrefix + "jump" + '?token=' + getLoginUserInfo().token, //跳转
        getDoneTaskListByProcessId: approveUrlPrefix + "getDoneTaskListByProcessId" + '?token=' + getLoginUserInfo().token, //根据流程实例id查询已办
        cancelProcess: approveUrlPrefix + 'cancelProcess' + '?token=' + getLoginUserInfo().token, //作废流程
        forceEnd: approveUrlPrefix + 'forceEnd' + '?token=' + getLoginUserInfo().token, //结束流程
        getUndoTaskInfo: approveUrlPrefix + "getUndoTaskInfo" + '?token=' + getLoginUserInfo().token, //获取待办详情
        batchValidateForm: approveUrlPrefix + "batchValidateForm" + '?token=' + getLoginUserInfo().token, //批量校验表单必填
        completeTaskBatch: approveUrlPrefix + "completeTaskBatch" + '?token=' + getLoginUserInfo().token, //批量办理
        readCompleteTaskBatch: approveUrlPrefix + "readCompleteTaskBatch" + '?token=' + getLoginUserInfo().token, //批量已阅
        getPersonalPhrase: approveUrlPrefix + "getPersonalPhrase" + '?token=' + getLoginUserInfo().token, //获取常用语
        savePersonalPhrase: approveUrlPrefix + "savePersonalPhrase" + '?token=' + getLoginUserInfo().token, //保存常用语
        deletePhrase: approveUrlPrefix + "delPersonalPhrase" + '?token=' + getLoginUserInfo().token, //删除常用语
        getAllModuleList: approveUrlPrefix + "getAllModuleList" + '?token=' + getLoginUserInfo().token, //获取模块
        urgeFlow: approveUrlPrefix + "urgeFlow" + '?token=' + getLoginUserInfo().token, //催办流程
        getListButtonsByCodes: approveUrlPrefix + "getListButtonsByCodes" + '?token=' + getLoginUserInfo().token, //获取按钮
        getProcessTitleByProId: approveUrlPrefix + "getProcessTitleByProId" + '?token=' + getLoginUserInfo().token,
        getDocumentFileMap: approveUrlPrefix + "getDocumentFileMap" + '?token=' + getLoginUserInfo().token, //根据金格id获取附件id
        rollback: approveUrlPrefix + "rollback" + '?token=' + getLoginUserInfo().token, //收回
        getRelationProcess: approveUrlPrefix + "getRelationProcess" + '?token=' + getLoginUserInfo().token, //获取关联流程
        getLinkFieldValueMap: approveUrlPrefix + "getLinkFieldValueMap" + '?token=' + getLoginUserInfo().token, //获取联动
        canRollback: approveUrlPrefix + "canRollback" + '?token=' + getLoginUserInfo().token, //是否可以收回
        getDelegateList: approveUrlPrefix + "getDelegateList" + '?token=' + getLoginUserInfo().token, //委托列表
        getDelegateViewInfo: approveUrlPrefix + "getDelegateViewInfo" + '?token=' + getLoginUserInfo().token, //委托详情
        deleteDelegate: approveUrlPrefix + "deleteDelegate" + '?token=' + getLoginUserInfo().token, //委托删除
        getAllProcessList: approveUrlPrefix + "getAllProcessList" + '?token=' + getLoginUserInfo().token, //获取全部流程
        editSaveDelegate: approveUrlPrefix + "editSaveDelegate" + '?token=' + getLoginUserInfo().token, //保存委托
        signCA: approveUrlPrefix + "signCA" + '?token=' + getLoginUserInfo().token, //CA加签
        verifySign: approveUrlPrefix + "verifySign" + '?token=' + getLoginUserInfo().token, //CA验签
        getPreTaskInfo: approveUrlPrefix + "getPreTaskInfo" + '?token=' + getLoginUserInfo().token //获取上一环节CA配置
    },
    nodataIcon: context + "/mobile/fmui/images/noData.png",
    loadingIcon: context + "/mobile/fmui/images/loading.gif",
    SQLX: {
        qjsq: 'qjsq', //请假申请
        bxsq: 'baoxiu', //保修申请
        ccsq: 'ccsq', //出差申请
        jcsq: 'bqjcsq', //加床申请
        ryxxdj: 'ryxxdj' //人员信息登记
    },
    loadImg: context + '/dingisv/api/common/viewImage' + '?token=' + getLoginUserInfo().token,
    msgNoData: "../../../fmui/images/state-nodata.png"
};