'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Tab = require('saltui/lib/Tab');

var _Tab2 = _interopRequireDefault(_Tab);

var _form = require('./form');

var _form2 = _interopRequireDefault(_form);

var _subForm = require('./subForm');

var _subForm2 = _interopRequireDefault(_subForm);

var _List = require('../comment_list/List');

var _List2 = _interopRequireDefault(_List);

var _CheckboxField = require('saltui/lib/CheckboxField');

var _CheckboxField2 = _interopRequireDefault(_CheckboxField);

var _TextareaField = require('saltui/lib/TextareaField');

var _TextareaField2 = _interopRequireDefault(_TextareaField);

var _Toast = require('saltui/lib/Toast');

var _Toast2 = _interopRequireDefault(_Toast);

var _FoldablePane = require('saltui/lib/FoldablePane');

var _FoldablePane2 = _interopRequireDefault(_FoldablePane);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box,
    VBox = _Boxs2.default.VBox;


var FlowCommon = void 0;
//是否保存为常用语
var savePhraseList = [{
	value: "1",
	checked: false,
	content: '是否保存为常用语',
	disable: false
}];

var PageHome = function (_React$Component) {
	_inherits(PageHome, _React$Component);

	function PageHome(props) {
		_classCallCheck(this, PageHome);

		//alert(JSON.stringify(props));
		var _this = _possibleConstructorReturn(this, (PageHome.__proto__ || Object.getPrototypeOf(PageHome)).call(this, props));

		var defaultValue = props.defaultValue;

		// let startUserName = decodeURI(this.props.params.startUserName);//创建人用户
		// let startUserGroupName = decodeURI(this.props.params.startUserGroupName);//创建人组织
		//let startUserId = this.props.params.startUserId;
		_this.state = {
			commentFieldList: [],
			commentDefaultList: [],
			//startUserId:startUserId,
			formItem: [],
			formData: {},
			active: "ezPageTab0",
			savePhraseList: [{
				value: "1",
				checked: false,
				content: '是否保存为常用语',
				disable: false
			}],
			savePhrase: [],
			fold: true,
			phraseListNew: [],
			phraseList: [], //常用语列表
			spyj: defaultValue
		};

		var module = props.module && props.module != "undefined" ? props.module : "approve";
		FlowCommon = require('pages/flow_common/' + module).default ? require('pages/flow_common/' + module).default : require('pages/flow_common/' + module);

		return _this;
	}

	_createClass(PageHome, [{
		key: 'componentDidMount',
		value: function componentDidMount() {
			var t = this;
			// let formItem = this.props.form;
			// let commentList = this.props.commentList;
			// let formData = this.props.formData;

			// t.setState({
			// 	formItem:formItem,
			// 	commentFieldList:commentFieldList,
			// 	commentDefaultList:commentDefaultList,
			// 	formData:formData
			// });
		}
	}, {
		key: 'change',
		value: function change(data, itemParam) {
			var t = this;
			var module = t.props.module;
			var formKey = t.props.allForm.formcode;
			if (itemParam && itemParam.key) {
				//修改事件的时候
				var mainTblData = data.mainTblData;
				var mainTblName = data.mainTblName;
				var subTbl = data.subTbl;
				//处理特有参数
				if (typeof FlowCommon.dealwithFormItemChange === "function") {
					FlowCommon.dealwithFormItemChange(itemParam, this);
				}
				var mobileExt;
				try {
					if (formKey) {
						mobileExt = typeof eval(module + "_" + formKey + "_mobileExt") !== 'undefined' ? eval(module + "_" + formKey + "_mobileExt") : null;
					}
				} catch (e) {}
				// alert("exception: "+e.message);

				//项目开发扩展
				if (typeof mobileExt !== 'undefined' && typeof mobileExt["dealwithFormItemChangeExt"] === "function") {
					mobileExt["dealwithFormItemChangeExt"](itemParam, this, function (paramsExt) {
						if (paramsExt.length > 0) {
							paramsExt.map(function (itemExt) {
								if (itemExt.type == 'main') {
									//主表
									t.refs[mainTblName + "_" + itemExt.key].reloadItemParam(itemExt.value);
									for (var iExt = 0; iExt < mainTblData.length; iExt++) {
										if (itemExt.data && itemExt.key == mainTblData[iExt].key) {
											mainTblData[iExt].value = itemExt.data;
										}
									}
								} else if (itemExt.type == 'sub') {
									//子表
									if (itemExt.subCode) {
										t.refs["sub_" + itemExt.key].refs[itemExt.key + "_" + itemExt.subCode + "_" + itemExt.index].reloadItemParam(itemExt.value);
										for (var iExtSub = 0; iExtSub < subTbl.length; iExtSub++) {
											var subTblName = subTbl[iExtSub].subTblName;
											if (subTblName == itemExt.key) {
												if (itemExt.data) {
													var subTblData = subTbl[iExtSub].subTblData;
													for (var iExtSubData = 0; iExtSubData < subTblData.length; iExtSubData++) {
														if (itemExt.key == subTblData[iExtSubData].key) {
															subTblData[iExtSubData].value = itemExt.data;
														}
													}
												}
											}
										}
									} else {
										t.refs["sub_" + itemExt.key].reloadItemParam(itemExt.value);
									}
								}
							});
						}
					});
				}
				var uniqueName = itemParam.uniqueName;
				if (itemParam.itemType == 'text' || itemParam.itemType == 'datetime') {
					//当等于单行文本或者时间时
					this.forCalculateExpList(data, itemParam, uniqueName);
					if (data.subCalculateExpList) {
						this.forSubCalculateExpList(data, itemParam, uniqueName);
					}
				}

				if (itemParam.itemType == 'datetime') {
					//当等于时间时
					this.forCalculateExpList(data, itemParam, uniqueName);
				}

				if (itemParam.itemType) {
					var fieldId = itemParam.fieldId;
					var linkFields = data.linkFields;
					if (linkFields && linkFields != null) {
						for (var i = 0; i < linkFields.length; i++) {
							var formField = linkFields[i].formField;
							if (formField != null && formField != '') {
								var ffid = formField.split(",");
								var conditionArrayJSON = [];
								if (formField.indexOf(fieldId) != -1) {
									for (var j = 0; j < ffid.length; j++) {
										for (var k = 0; k < mainTblData.length; k++) {
											if (ffid[j] == mainTblData[k].fieldId) {
												var option = {};
												option.value = mainTblData[k].value;
												option.formField = mainTblData[k].fieldId;
												conditionArrayJSON.push(option);
											}
										}
									}
								}
								if (conditionArrayJSON.length > 0) {
									_db2.default.FlowModuleAPI.getLinkFieldValueMap({
										triggerFormFields: formField,
										formId: data.formId,
										conditionArrayJSON: JSON.stringify(conditionArrayJSON)
									}).then(function (content) {
										if (content) {
											var containUniqueFlag = content['containUniqueFlag'];
											var content = content['map'];
											for (var key in content) {
												var contentValue = content[key];
												var textValue = '';
												var selectOptions = [];
												for (var c = 0; c < contentValue.length; c++) {
													textValue = textValue + "," + contentValue[c];
													var option = {};
													option.value = contentValue[c];
													option.text = contentValue[c];
													selectOptions.push(option);
												}
												var resultMap = {};
												resultMap.key = 'selectOptions';
												resultMap.value = selectOptions;
												var valueMap = {};
												valueMap.key = 'value';
												valueMap.value = textValue.substring(1);
												for (var m = 0; m < mainTblData.length; m++) {
													if (key == mainTblData[m].fieldId) {
														if (",text,textarea,datetime,datetimeStep,".indexOf("," + mainTblData[m].itemType + ",") != -1) {
															t.refs[mainTblData[m].uniqueName].reloadItemParam([valueMap]);
															mainTblData[m].value = textValue.substring(1);
														}

														if (",radio,checkbox,select,".indexOf("," + mainTblData[m].itemType + ",") != -1) {
															var valueMap1 = {};
															valueMap1.key = 'value';
															valueMap1.value = "";
															mainTblData[m].value = "";
															var tva = textValue.substring(1);
															if (containUniqueFlag == true) {
																valueMap1.value = tva;
																mainTblData[m].value = tva;
															} else {
																var formItem = data.formItem;
																for (var f = 0; f < formItem.length; f++) {
																	if (formItem[f].uniqueName == mainTblData[m].uniqueName && formItem[f].value == tva) {
																		valueMap1.value = tva;
																		mainTblData[m].value = tva;
																		break;
																	}
																}
															}
															t.refs[mainTblData[m].uniqueName].reloadItemParam([resultMap, valueMap1]);
														}
													}
												}
											}
										}
									}).catch(function (error) {
										console.error(error);
									});
								}
							}
						}
					}
				}

				//子表合计
				if (itemParam.itemType == 'text' && itemParam.dataAttr && itemParam.dataAttr.isSum == '1') {
					var subTableName = itemParam.tableName;
					var key = itemParam.key;
					var title = itemParam.title;
					var subTbl = data.subTbl;
					var uniqueName = subTableName + "_" + key;
					if ($('.' + uniqueName).length > 0) {
						$('.' + uniqueName).html('');
					} else if ($('.hejidiv-' + subTableName).html() == '') {
						$('.hejidiv-' + subTableName).html('合计：');
					}
					var subValue = '';
					if (subTbl != null && subTbl.length > 0) {
						for (var i = 0; i < subTbl.length; i++) {
							if (subTableName == subTbl[i].subTblName) {
								var subTblData = subTbl[i].subTblData;
								for (var j = 0; j < subTblData.length; j++) {
									var subTblDatas = subTblData[j];
									for (var k = 0; k < subTblDatas.length; k++) {
										if (key == subTblDatas[k].key) {
											if (subTblDatas[k].value !== '') {
												if (subValue === '') {
													subValue = Number(subTblDatas[k].value);
												} else {
													subValue = Number(subValue) + Number(subTblDatas[k].value);
												}
											}
										}
									}
								}
							}
						}
					}
					if (isNaN(subValue)) {
						subValue = '';
					}
					if (subValue !== '') {
						if ($('.' + uniqueName).length > 0) {
							$('.' + uniqueName).html(title + " " + subValue + ";  ");
						} else {
							$('.hejidiv-' + subTableName).append('<span class="' + uniqueName + '">' + title + " " + subValue + ";  " + "</span>");
						}
					}
					var le = $('.hejidiv-' + subTableName).find('span').length;
					if (le > 0) {
						var tx = $('.hejidiv-' + subTableName).find('span')[le - 1].innerText;
						$('.hejidiv-' + subTableName).find('span')[le - 1].innerText = tx.replace(';', '');
					}
				}
			}
			this.props.onChange(data);
		}
	}, {
		key: 'forCalculateExpList',
		value: function forCalculateExpList(data, itemParam, uniqueName) {
			var calculateExpList = data.calculateExpList;
			if (calculateExpList) {
				var calculateExpValue = calculateExpList[uniqueName];
				if (calculateExpValue) {
					if (Array.isArray(calculateExpValue)) {
						for (var c = 0; c < calculateExpValue.length; c++) {
							var resultItem = calculateExpValue[c].result; //当前修改字段的uniqname,如：test_mobileform_sz2
							var resultKey = calculateExpValue[c].key; //当前修改字段的code,如：sz2

							data = this.editData(resultKey, "", data);
						}
						var returnResultItem = [];
						for (var i = 0; i < calculateExpValue.length; i++) {
							var exp = calculateExpValue[i].exp; //计算公式
							var resultItem = calculateExpValue[i].result; //当前修改字段的uniqname,如：test_mobileform_sz2
							returnResultItem[i] = resultItem;
							var resultKey = calculateExpValue[i].key; //当前修改字段的code,如：sz2
							var fieldArray = this.getFieldArray(exp); //获取计算公式参与的字段
							var fieldItemArray = []; //计算公式所有参与的字段itemParam
							for (var j = 0; j < fieldArray.length; j++) {
								var fieldArrayItem = fieldArray[j];
								var fieldItem = null;
								if (this.refs[fieldArrayItem]) {
									//当字段是主表时
									fieldItem = this.refs[fieldArrayItem].getItemParam();
								} else {
									var subTableName = this.getSubRef(fieldArrayItem);
									if (subTableName != "" && this.refs['sub_' + subTableName]) {
										//当字段是子表时
										fieldItem = this.refs['sub_' + subTableName].getSubItemParam(fieldArrayItem);
									}
								}
								if (fieldItem != null) {
									var filedItemValue = "";
									if (Array.isArray(fieldItem)) {
										//当是数组时，代表是子表
										if (fieldItem.length > 0) {
											fieldItemArray.push(fieldItem[0]);
											filedItemValue = fieldItem[0].value;
										}
									} else {
										fieldItemArray.push(fieldItem);
										filedItemValue = fieldItem.value;
									}

									if (itemParam.itemType == 'datetime') {
										//当为时间时且有differDate或者differHour函数
										var differDateRegExp = new RegExp("differDate\\(", "g");
										var differHourRegExp = new RegExp("differHour\\(", "g");
										if (exp.match(differDateRegExp) || exp.match(differHourRegExp)) {
											//当有differDate函数
											if (typeof filedItemValue == 'undefined' || filedItemValue == "" || filedItemValue == null) {
												//filedItemValue = 0;
												return false;
											} else {
												filedItemValue = filedItemValue.value;
											}
										}
									}

									if (typeof filedItemValue == 'undefined' || filedItemValue == "" && filedItemValue != "0" || filedItemValue == null) {
										//当filedItemValue为空或者其他异常状态时置为0
										filedItemValue = 0;
										//return false;
									}
									var sumRegExp = new RegExp("sum\\(\\[" + fieldArrayItem + "\\]\\)", "g");

									if (exp.match(sumRegExp)) {
										//当有sum函数
										if (Array.isArray(fieldItem)) {
											var sumValue = this.sum(fieldItem);
											exp = exp.replace(new RegExp("sum\\(\\[" + fieldArrayItem + "\\]\\)", "g"), "(" + sumValue + ")");
										}
									}

									exp = exp.replace(new RegExp("\\[" + fieldArrayItem + "\\]", "g"), "(" + filedItemValue + ")");
								}
							}

							exp = exp.replace(new RegExp("rmb\\(", "g"), 'calculate.rmb(');
							exp = exp.replace(new RegExp("differDate\\(", "g"), 'calculate.differDate(');
							exp = exp.replace(new RegExp("differHour\\(", "g"), 'calculate.differHour(');
							try {
								var res = eval(exp);
							} catch (e) {
								res = '';
							}
							if (res == Infinity || res == -Infinity) {
								//无穷大
								res = '';
							}
							if (typeof res == 'number') {
								if (isNaN(res)) {
									//结果不为数字  则置为0
									res = 0;
								} else {
									var fieldType = itemParam.inputFormat;
									var decimalPlace = itemParam.decimalPlace;
									var mainTblData = data.mainTblData;
									mainTblData.map(function (item, index) {
										if (item.key == resultKey) {
											fieldType = item.inputFormat;
											decimalPlace = item.decimalPlace;
										}
									});
									if (fieldType == 'int' || fieldType == 'float') {
										res = Number(res).toFixed(decimalPlace) + '';
									} else {
										if (fieldArray.length == 0) {
											var aDP = getActualDecimalPlace(exp);
											res = res.toFixed(aDP) + '';
										} else {
											var maxDP = getMaxDecimalPlace(fieldItemArray); //获取参与计算的字段中 最长的小数位
											res = res.toFixed(maxDP) + '';
										}
									}
								}
							}
							var resultMap = {};
							resultMap.key = 'value';
							resultMap.value = res;
							this.refs[resultItem].reloadItemParam([resultMap]);
							data = this.editData(resultKey, res, data);
						}
						if (returnResultItem && returnResultItem.length > 0) {
							for (var r = 0; r < returnResultItem.length; r++) {
								this.forCalculateExpList(data, itemParam, returnResultItem[r]);
							}
						}
					}
				}
			}
		}
	}, {
		key: 'forSubCalculateExpList',
		value: function forSubCalculateExpList(data, itemParam, uniqueName) {
			var calculateExpList = data.subCalculateExpList;
			if (calculateExpList) {
				var calculateExpValue = calculateExpList[uniqueName];
				if (calculateExpValue) {
					if (Array.isArray(calculateExpValue)) {
						for (var c = 0; c < calculateExpValue.length; c++) {
							var resultItem = calculateExpValue[c].result; //当前修改字段的uniqname,如：test_mobileform_sz2
							var resultKey = calculateExpValue[c].key; //当前修改字段的code,如：sz2

							data = this.editSubData(itemParam.tableName, resultKey, "", data);
						}
						var returnResultItem = [];
						for (var i = 0; i < calculateExpValue.length; i++) {
							var exp = calculateExpValue[i].exp; //计算公式
							var resultItem = calculateExpValue[i].result; //当前修改字段的uniqname,如：test_mobileform_sz2
							returnResultItem[i] = resultItem;
							var resultKey = calculateExpValue[i].key; //当前修改字段的code,如：sz2
							var fieldArray = this.getFieldArray(exp); //获取计算公式参与的字段
							var fieldItemArray = []; //计算公式所有参与的字段itemParam
							for (var j = 0; j < fieldArray.length; j++) {
								var fieldArrayItem = fieldArray[j];
								var fieldItem = null;
								if (this.refs[fieldArrayItem]) {
									//当字段是主表时
									fieldItem = this.refs[fieldArrayItem].getItemParam();
								} else {
									var subTableName = this.getSubRef(fieldArrayItem);
									if (subTableName != "" && this.refs['sub_' + subTableName]) {
										//当字段是子表时
										fieldItem = this.refs['sub_' + subTableName].getSubItemParam(fieldArrayItem);
									}
								}
								if (fieldItem != null) {
									var filedItemValue = "";
									if (Array.isArray(fieldItem)) {
										//当是数组时，代表是子表
										if (fieldItem.length > 0) {
											fieldItemArray.push(fieldItem[data.subTblNo]);
											filedItemValue = fieldItem[data.subTblNo].value;
										}
									} else {
										fieldItemArray.push(fieldItem);
										filedItemValue = fieldItem.value;
									}

									if (itemParam.itemType == 'datetime') {
										//当为时间时且有differDate或者differHour函数
										var differDateRegExp = new RegExp("differDate\\(", "g");
										var differHourRegExp = new RegExp("differHour\\(", "g");
										if (exp.match(differDateRegExp) || exp.match(differHourRegExp)) {
											//当有differDate函数
											if (typeof filedItemValue == 'undefined' || filedItemValue == "" || filedItemValue == null) {
												//filedItemValue = 0;
												return false;
											} else {
												filedItemValue = filedItemValue.value;
											}
										}
									}

									if (typeof filedItemValue == 'undefined' || filedItemValue == "" && filedItemValue != "0" || filedItemValue == null) {
										//当filedItemValue为空或者其他异常状态时置为0
										filedItemValue = 0;
										//return false;
									}
									var sumRegExp = new RegExp("sum\\(\\[" + fieldArrayItem + "\\]\\)", "g");

									if (exp.match(sumRegExp)) {
										//当有sum函数
										if (Array.isArray(fieldItem)) {
											var sumValue = this.sum(fieldItem);
											exp = exp.replace(new RegExp("sum\\(\\[" + fieldArrayItem + "\\]\\)", "g"), "(" + sumValue + ")");
										}
									}

									exp = exp.replace(new RegExp("\\[" + fieldArrayItem + "\\]", "g"), "(" + filedItemValue + ")");
								}
							}

							exp = exp.replace(new RegExp("rmb\\(", "g"), 'calculate.rmb(');
							exp = exp.replace(new RegExp("differDate\\(", "g"), 'calculate.differDate(');
							exp = exp.replace(new RegExp("differHour\\(", "g"), 'calculate.differHour(');
							try {
								var res = eval(exp);
							} catch (e) {
								res = '';
							}
							if (res == Infinity || res == -Infinity) {
								//无穷大
								res = '';
							}
							if (typeof res == 'number') {
								if (isNaN(res)) {
									//结果不为数字  则置为0
									res = 0;
								} else {
									var fieldType = itemParam.inputFormat;
									var decimalPlace = itemParam.decimalPlace;
									var subTbl = data.subTbl;
									subTbl.map(function (item, index) {
										if (item.subTblName == itemParam.tableName) {
											var subTblData = item.subTblData;
											var subTblDatas = subTblData[data.subTblNo];
											for (var j = 0; j < subTblDatas.length; j++) {
												if (subTblDatas[j].key == resultKey) {
													fieldType = subTblDatas[j].inputFormat;
													decimalPlace = subTblDatas[j].decimalPlace;
												}
											}
										}
									});

									if (fieldType == 'int' || fieldType == 'float') {
										res = Number(res).toFixed(decimalPlace) + '';
									} else {
										if (fieldArray.length == 0) {
											var aDP = getActualDecimalPlace(exp);
											res = res.toFixed(aDP) + '';
										} else {
											var maxDP = getMaxDecimalPlace(fieldItemArray); //获取参与计算的字段中 最长的小数位
											res = res.toFixed(maxDP) + '';
										}
									}
								}
							}
							var resultMap = {};
							resultMap.key = itemParam.tableName + "_" + resultKey;
							resultMap.index = data.subTblNo;
							resultMap.value = res;
							this.refs['sub_' + itemParam.tableName].reloadSubItemParam([resultMap]);
							data = this.editSubData(itemParam.tableName, resultKey, res, data);
						}
						if (returnResultItem && returnResultItem.length > 0) {
							for (var r = 0; r < returnResultItem.length; r++) {
								this.forSubCalculateExpList(data, itemParam, returnResultItem[r]);
							}
						}
					}
				}
			}
		}

		//检查是不是子表的字段，如果是获取子表的表名

	}, {
		key: 'getSubRef',
		value: function getSubRef(field) {
			var code = "";
			this.props.form.map(function (item) {
				if (item.itemType == 'detail') {
					//子表时
					item.children.map(function (item1) {
						if (field == item1.uniqueName) {
							code = item.itemCode;
							return false;
						}
					});
				}
			});
			return code;
		}
	}, {
		key: 'sum',
		value: function sum(fieldItem) {
			//eval运算时  对字段值进行求和运算
			var val = 0;
			var len = fieldItem.length;
			for (var i = 0; i < len; i++) {
				var curVal = fieldItem[i].value;
				if (typeof curVal == 'undefined' || curVal == '' || curVal == null) {
					curVal = 0;
				}
				val += Number(curVal + ''); //转字符串  否则以0开头会被当做八进制计算 以0x开头会被当做十六进制处理
			}
			if (isNaN(val)) {
				//结果不为数字  则置为0
				val = 0;
			}
			return val;
		}

		//从计算表达式中获取涉及的字段

	}, {
		key: 'getFieldArray',
		value: function getFieldArray(exp) {
			var fieldArray = [];
			var expProcessStepOne = exp.split('[');
			for (var i = 1; i < expProcessStepOne.length; i++) {
				var expProcessStepTwo = expProcessStepOne[i].split(']');
				if (expProcessStepTwo.length > 0) {
					var fieldUniqueName = expProcessStepTwo[0];
					if (fieldUniqueName.length > 0) {
						fieldArray.push(fieldUniqueName);
					}
				}
			}
			return fieldArray;
		}
		//给定一个表达式   获取参与计算的浮点型数据中小数位最长的数据

	}, {
		key: 'getActualDecimalPlace',
		value: function getActualDecimalPlace(exp) {
			var actualDP = 0;
			var floatReg = /\d+(\.\d+)?/g;
			var numArray = exp.match(floatReg);
			for (var i = 0; i < numArray.length; i++) {
				var numSplit = numArray[i].split('.');
				if (numSplit.length > 1) {
					if (numSplit[1].length > actualDP) {
						actualDP = numSplit[1].length;
					}
				}
			}
			return actualDP;
		}

		//获取涉及计算字段中最长的小数位

	}, {
		key: 'getMaxDecimalPlace',
		value: function getMaxDecimalPlace(fieldItemArray) {
			var maxDP = 0;
			for (var j = 0; j < fieldItemArray.length; j++) {
				//遍历表单所有整型和浮点型字段
				if (fieldItemArray[j].decimalPlace > maxDP) {
					maxDP = fieldItemArray[j].decimalPlace; //取最长的小数位
				}
			}
			return maxDP;
		}

		//修改data数据

	}, {
		key: 'editData',
		value: function editData(itemCode, value, data) {
			if (Array.isArray(itemCode) && Array.isArray(value)) {
				//数组时
				for (var i = 0; i < itemCode.length; i++) {
					var mainTblData = data.mainTblData;
					mainTblData.map(function (item, index) {
						if (item.key == itemCode[i]) {
							item.value = value[i];
						}
					});
				}
			} else {
				var mainTblData = data.mainTblData;
				mainTblData.map(function (item, index) {
					if (item.key == itemCode) {
						item.value = value;
					}
				});
			}

			return data;
		}

		//修改data数据

	}, {
		key: 'editSubData',
		value: function editSubData(subTable, itemCode, value, data) {
			if (Array.isArray(itemCode) && Array.isArray(value)) {
				//数组时
				for (var i = 0; i < itemCode.length; i++) {
					var subTbl = data.subTbl;
					subTbl.map(function (item, index) {
						if (item.subTblName == subTable) {
							var subTblData = item.subTblData;
							var subTblDatas = subTblData[data.subTblNo];
							for (var j = 0; j < subTblDatas.length; j++) {
								if (subTblDatas[j].key == itemCode[i]) {
									subTblDatas[j].value = value[i];
								}
							}
						}
					});
				}
			} else {
				var subTbl = data.subTbl;
				subTbl.map(function (item, index) {
					if (item.subTblName == subTable) {
						var subTblData = item.subTblData;
						var subTblDatas = subTblData[data.subTblNo];
						for (var j = 0; j < subTblDatas.length; j++) {
							if (subTblDatas[j].key == itemCode) {
								subTblDatas[j].value = value;
							}
						}
					}
				});
			}

			return data;
		}
	}, {
		key: 'changeTab',
		value: function changeTab(obj) {
			this.setState({
				active: obj
			});
			setTimeout(function () {
				var sysWatermark = $('#sysWatermarkName').val();
				if (null != sysWatermark && sysWatermark != '') {
					showWaterMarker('approveWaterMarker', sysWatermark);
				}
			}, 300);
		}
	}, {
		key: 'onChangeTab',
		value: function onChangeTab(obj) {
			this.setState({
				active: obj.active
			});
			setTimeout(function () {
				var sysWatermark = $('#sysWatermarkName').val();
				if (null != sysWatermark && sysWatermark != '') {
					showWaterMarker('approveWaterMarker', sysWatermark);
				}
			}, 300);
		}

		//修改审批意见

	}, {
		key: 'changeSpyj1',
		value: function changeSpyj1(newValue) {
			var regRule = /\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g;
			if (newValue.match(regRule)) {
				_Toast2.default.show({
					type: 'error',
					content: '不能输入表情'
				});
				return false;
			}
			/*if(newValue=''){
   	Toast.show({
   				type: 'error',
   				content: '意见不能为空！',
   			});
   			return false;
   }*/
			if (newValue.length > 2000) {
				newValue = newValue.substring(0, 2000);
			}
			this.setState({
				spyj: newValue
			});
			this.props.newspyj.content = newValue;
			//alert(this.props.newspyj.content);
		}

		//选择是否保存常用语

	}, {
		key: 'selectSavePhrase',
		value: function selectSavePhrase(data) {
			this.setState({
				savePhrase: data
			});
		}

		//选择常用语

	}, {
		key: 'selectCommonwords',
		value: function selectCommonwords() {
			var t = this;
			t.setState({ fold: !this.state.fold });
			var phraseListNow = t.state.phraseList;
			if (phraseListNow.length > 0) {
				// t.refs.slotCommonwords.show();
			} else {
				//获取常用语列表
				_db2.default.FlowModuleAPI.getPersonalPhrase({}).then(function (content) {
					if (content.length > 0) {
						var phraseList1 = [];
						content.map(function (item) {
							phraseList1.push({ text: item.content, value: item.content });
						});
						var phraseList2 = [];
						phraseList2.push(phraseList1);
						t.setState({
							phraseList: phraseList2,
							phraseListNew: phraseList1
						}, function () {
							//  t.refs.slotCommonwords.show();
						});
					} else {
						_Toast2.default.show({
							content: '暂无常用语'
						});
					}
				}).catch(function (error) {
					_Toast2.default.show({
						type: 'error',
						content: error.errorMsg
					});
				});
			}
		}
	}, {
		key: 'phraseItemClick',
		value: function phraseItemClick(commonwords) {
			var spyj = this.state.spyj;
			this.setState({
				spyj: spyj + commonwords
			});
			this.props.newspyj.content = spyj + commonwords;
		}

		//切换修改常用语

	}, {
		key: 'handleChangeCommonwords',
		value: function handleChangeCommonwords(value) {
			// 改变了选中项
			this.setState({
				choosePhrase: value
			});
		}

		//确认选择语

	}, {
		key: 'handleConfirmCommonwords',
		value: function handleConfirmCommonwords(commonwords) {
			var spyj = this.state.spyj;
			this.setState({
				spyj: spyj + commonwords[0].text
			});
			this.props.newspyj.content = spyj + commonwords[0].text;
		}
	}, {
		key: 'render',
		value: function render() {
			var t = this;
			var allForm = this.props.allForm;
			var tabCodes = allForm.tabCodes;
			var tabNames = allForm.tabNames;
			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					'div',
					null,
					tabCodes == null || tabCodes.length < 2 ? this.props.form.map(function (item, i) {
						return item.itemType == 'twocolumns' || item.itemType == 'threecolumns' ? item.children.map(function (item2, j) {
							return _react2.default.createElement(
								'div',
								null,
								_react2.default.createElement(_form2.default, { keyNo: j, ref: item.uniqueName, newspyj: t.props.newspyj, hasCommentField: t.props.hasCommentField, commentField: t.props.commentField, module: t.props.module, formKey: t.props.allForm.formcode, status: t.props.status, form: item2, formStyle: t.props.formStyleObj, commentList: t.props.commentFieldList, defaultValue: t.props.defaultValue, data: t.props.data, fieldControll: t.props.fieldControll, caIsPrd: t.props.caIsPrd, preCaFields: t.props.preCaFields, onChange: this.change.bind(this) })
							);
						}.bind(this)) : item.itemType == 'detail' ? _react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(_subForm2.default, { keyNo: i, ref: 'sub_' + item.itemCode, operate: t.props.operate, newspyj: t.props.newspyj, hasCommentField: t.props.hasCommentField, commentField: t.props.commentField, module: t.props.module, formKey: t.props.allForm.formcode, status: t.props.status, form: item, formStyle: t.props.formStyleObj, commentList: t.props.commentFieldList, defaultValue: t.props.defaultValue, data: t.props.data, fieldControll: t.props.fieldControll, caIsPrd: t.props.caIsPrd, preCaFields: t.props.preCaFields, onChange: this.change.bind(this) })
						) : _react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(_form2.default, { ref: item.uniqueName, keyNo: i, operate: t.props.operate, newspyj: t.props.newspyj, hasCommentField: t.props.hasCommentField, commentField: t.props.commentField, module: t.props.module, formKey: t.props.allForm.formcode, status: t.props.status, form: item, formStyle: t.props.formStyleObj, commentList: t.props.commentFieldList, defaultValue: t.props.defaultValue, data: t.props.data, fieldControll: t.props.fieldControll, caIsPrd: t.props.caIsPrd, preCaFields: t.props.preCaFields, onChange: this.change.bind(this) })
						);
					}.bind(this)) : _react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_Tab2.default,
							{ activeKey: tabCodes[0], className: 'dd-tab-br-none', onChange: this.onChangeTab.bind(this), onTabClick: this.changeTab.bind(this) },
							tabCodes.map(function (item1, k) {
								return _react2.default.createElement(_Tab2.default.Item, { key: item1, title: tabNames[k] });
							}.bind(this))
						),
						_react2.default.createElement('div', { className: 't-H10 t-BCf7' }),
						_react2.default.createElement(
							'div',
							null,
							t.props.form.map(function (item, i) {
								return item.itemType == 'twocolumns' || item.itemType == 'threecolumns' ? item.children.map(function (item2, j) {
									return _react2.default.createElement(
										'div',
										{ className: t.state.active == item.tabCode ? "" : "t-DN" },
										_react2.default.createElement(_form2.default, { keyNo: j, ref: item.uniqueName, operate: t.props.operate, hasCommentField: t.props.hasCommentField, newspyj: t.props.newspyj, commentField: t.props.commentField, module: t.props.module, formKey: t.props.allForm.formcode, status: t.props.status, form: item2, formStyle: t.props.formStyleObj, commentList: t.props.commentFieldList, data: t.props.data, fieldControll: t.props.fieldControll, onChange: this.change.bind(this) })
									);
								}.bind(this)) : item.itemType == 'detail' ? _react2.default.createElement(
									'div',
									{ className: t.state.active == item.tabCode ? "" : "t-DN" },
									_react2.default.createElement(_subForm2.default, { keyNo: i, ref: 'sub_' + item.itemCode, operate: t.props.operate, newspyj: t.props.newspyj, hasCommentField: t.props.hasCommentField, commentField: t.props.commentField, module: t.props.module, formKey: t.props.allForm.formcode, status: t.props.status, form: item, formStyle: t.props.formStyleObj, commentList: t.props.commentFieldList, data: t.props.data, fieldControll: t.props.fieldControll, onChange: this.change.bind(this) })
								) : _react2.default.createElement(
									'div',
									{ className: t.state.active == item.tabCode ? "" : "t-DN" },
									_react2.default.createElement(_form2.default, { ref: item.uniqueName, keyNo: i, operate: t.props.operate, newspyj: t.props.newspyj, hasCommentField: t.props.hasCommentField, commentField: t.props.commentField, module: t.props.module, formKey: t.props.allForm.formcode, status: t.props.status, form: item, formStyle: t.props.formStyleObj, commentList: t.props.commentFieldList, data: t.props.data, fieldControll: t.props.fieldControll, onChange: this.change.bind(this) })
								);
							}.bind(this))
						)
					)
				),
				_react2.default.createElement('div', { className: t.props.commentBackList.length > 0 ? "t-H10 t-BCf7" : 't-DN' }),
				_react2.default.createElement(
					'div',
					{ className: t.props.commentBackList.length > 0 ? '' : 't-DN' },
					_react2.default.createElement(
						HBox,
						{ className: 't-field-box' },
						_react2.default.createElement(
							'div',
							{ className: 't-field-layout-h-label t-FS16' },
							'\u9000\u56DE\u610F\u89C1'
						),
						_react2.default.createElement(
							'div',
							{ className: 't-PT10 t-FB1' },
							_react2.default.createElement(_List2.default, { list: t.props.commentBackList })
						)
					)
				),
				_react2.default.createElement('div', { className: t.props.commentDefaultList.length > 0 ? "t-H10 t-BCf7" : 't-DN' }),
				_react2.default.createElement(
					'div',
					{ className: t.props.commentDefaultList.length > 0 ? '' : 't-DN' },
					_react2.default.createElement(
						HBox,
						{ className: 't-field-box' },
						_react2.default.createElement(
							'div',
							{ className: 't-field-layout-h-label t-FS16 t-FBJ' },
							_react2.default.createElement(
								'span',
								null,
								'\u6279\u793A\u610F\u89C1'
							)
						),
						_react2.default.createElement(
							'div',
							{ className: 't-PT10 t-FB1' },
							_react2.default.createElement(_List2.default, { list: t.props.commentDefaultList }),
							_react2.default.createElement(
								'div',
								{ className: t.props.commentField == "default" ? 't-PL10' : 't-DN' },
								_react2.default.createElement(
									'div',
									{ className: 't-FCddblue t-P6 t-FS16 commonwords', onClick: this.selectCommonwords.bind(this) },
									'\u5E38\u7528\u8BED'
								),
								_react2.default.createElement(_TextareaField2.default, {
									readOnly: false,
									minRows: 10, maxRows: 13,
									placeholder: '请输入批示意见',
									value: this.state.spyj,
									onChange: this.changeSpyj1.bind(this) }),
								_react2.default.createElement(_CheckboxField2.default, {
									className: this.state.hasCommentField == '1' ? "" : "t-DN",
									data: this.state.savePhraseList,
									mode: 'list',
									onChange: this.selectSavePhrase.bind(this),
									required: false
								}),
								_react2.default.createElement(
									_FoldablePane2.default,
									{ foldHeight: 0, isFold: this.state.fold },
									_react2.default.createElement(
										'div',
										{ className: 'phrase-list' },
										this.state.phraseListNew.length > 0 ? this.state.phraseListNew.map(function (item, i) {
											return _react2.default.createElement(
												'div',
												{ className: 'phrase-item', onClick: this.phraseItemClick.bind(this, item.value) },
												item.value
											);
										}.bind(this)) : ''
									)
								)
							)
						)
					)
				),
				_react2.default.createElement('div', { className: t.props.commentDefaultList.length == 0 ? "t-H10 t-BCf7" : 't-DN' }),
				_react2.default.createElement(
					'div',
					{ className: t.props.commentDefaultList.length == 0 && t.props.commentField == "default" ? '' : 't-DN' },
					_react2.default.createElement(
						HBox,
						{ className: 't-field-box' },
						_react2.default.createElement(
							'div',
							{ className: 't-field-layout-h-label t-FS16 t-FBJ' },
							_react2.default.createElement(
								'span',
								null,
								'\u6279\u793A\u610F\u89C1'
							)
						),
						_react2.default.createElement(
							'div',
							{ className: t.props.commentField == "default" ? 't-PL10 t-PT10 t-FB1' : 't-DN' },
							_react2.default.createElement(
								'div',
								{ className: 't-FCddblue t-P6 t-FS16 commonwords', onClick: this.selectCommonwords.bind(this) },
								'\u5E38\u7528\u8BED'
							),
							_react2.default.createElement(_TextareaField2.default, {
								readOnly: false,
								minRows: 3, maxRows: 5,
								placeholder: '请输入批示意见',
								value: this.state.spyj,
								onChange: this.changeSpyj1.bind(this) }),
							_react2.default.createElement(_CheckboxField2.default, {
								className: this.state.hasCommentField == '1' ? "" : "t-DN",
								data: this.state.savePhraseList,
								mode: 'list',
								onChange: this.selectSavePhrase.bind(this),
								required: false
							}),
							_react2.default.createElement(
								_FoldablePane2.default,
								{ foldHeight: 0, isFold: this.state.fold },
								_react2.default.createElement(
									'div',
									{ className: 'phrase-list' },
									this.state.phraseListNew.length > 0 ? this.state.phraseListNew.map(function (item, i) {
										return _react2.default.createElement(
											'div',
											{ className: 'phrase-item', onClick: this.phraseItemClick.bind(this, item.value) },
											item.value
										);
									}.bind(this)) : ''
								)
							)
						)
					)
				)
			);
		}
	}]);

	return PageHome;
}(_react2.default.Component);

exports.default = PageHome;