'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _AngleRight = require('salt-icon/lib/AngleRight');

var _AngleRight2 = _interopRequireDefault(_AngleRight);

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

var _variables = require('../db/variables');

var _variables2 = _interopRequireDefault(_variables);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box,
    VBox = _Boxs2.default.VBox;

var Page = function (_React$Component) {
  _inherits(Page, _React$Component);

  function Page(props) {
    _classCallCheck(this, Page);

    var _this = _possibleConstructorReturn(this, (Page.__proto__ || Object.getPrototypeOf(Page)).call(this, props));

    _this.state = {
      relationList: []
    };

    return _this;
  }

  _createClass(Page, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var t = this;
      t.setState({
        relationList: []
      });
      var processInstanceId = this.props.processInstanceId;
      _db2.default.FlowModuleAPI.getRelationProcess({ processInstanceId: processInstanceId }).then(function (content) {
        t.setState({
          relationList: content
        });
      }).catch(function (error) {});
    }
  }, {
    key: 'clickDetail',
    value: function clickDetail(item) {
      var processInstanceId = item.processInstanceId;
      var formId = item.formId;
      var module = item.module;
      var url = "process/processDetails/-99/" + formId + "/-99/-99/0/" + processInstanceId + "/" + module;
      decodeURI(url);
      location.hash = url;
      //location.reload();
    }
  }, {
    key: 'render',
    value: function render() {
      var t = this;
      return _react2.default.createElement(
        'div',
        { className: 't-BCf t-PR', style: { minHeight: 200 + 'px' } },
        t.state.relationList.map(function (item, i) {
          return _react2.default.createElement(
            HBox,
            { className: 't-BCf t-P16 t-PR12 dd-bottom-border', onClick: t.clickDetail.bind(this, item) },
            _react2.default.createElement(
              Box,
              { flex: 1 },
              _react2.default.createElement(
                'div',
                { className: 't-omit t-FC3 t-FS16 t-LH1_3 t-MR8' },
                item.title
              ),
              _react2.default.createElement(
                HBox,
                { className: 't-FCddfontblue-40 t-LH1_3 t-PT8 t-FS14', vAlign: 'center' },
                _react2.default.createElement(
                  HBox,
                  { vAlign: 'center' },
                  _react2.default.createElement(
                    Box,
                    null,
                    _react2.default.createElement('i', { className: 'iconfont icon-time t-MR4 t-FS14' })
                  ),
                  _react2.default.createElement(
                    Box,
                    null,
                    _react2.default.createElement(
                      'span',
                      { className: 't-omit t-MR26' },
                      item.startTime
                    )
                  )
                ),
                _react2.default.createElement(
                  HBox,
                  { flex: 1, vAlign: 'center' },
                  _react2.default.createElement(
                    Box,
                    null,
                    _react2.default.createElement(
                      'span',
                      { className: 't-list-text t-FCoranger t-omit t-MR4' },
                      item.startUserName
                    )
                  )
                )
              )
            ),
            _react2.default.createElement(
              Box,
              null,
              _react2.default.createElement(_AngleRight2.default, { width: 20, fill: '#ccc', className: 'demo-t-list-arrow' })
            )
          );
        }.bind(this)),
        _react2.default.createElement(
          'div',
          { className: t.state.relationList.length == 0 ? "nodata-wrapper" : "t-DN" },
          _react2.default.createElement(
            VBox,
            { vAlign: 'center', hAlign: 'center', className: 'nodata' },
            _react2.default.createElement(
              Box,
              null,
              _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement('img', { src: _variables2.default.nodataIcon, alt: '', style: { width: 68 + 'px' } })
              )
            ),
            _react2.default.createElement(
              Box,
              { className: 't-FCc' },
              '\u6682\u65E0\u6570\u636E'
            )
          )
        )
      );
    }
  }]);

  return Page;
}(_react2.default.Component);

exports.default = Page;